Index: packages.ent
===================================================================
--- packages.ent	(revision 320cf3bbb7e6a5d409660fa7c479417a1a189aa3)
+++ packages.ent	(revision 855ab9a532c94850e4af34798d810cf53db4bc59)
@@ -41,8 +41,8 @@
 <!ENTITY automake-ch6-sbu "less than 0.1 SBU (about 8.9 SBU with tests)">
 
-<!ENTITY bash-version "4.4.18">
-<!ENTITY bash-size "9,242 KB">
+<!ENTITY bash-version "5.0">
+<!ENTITY bash-size "9,898 KB">
 <!ENTITY bash-url "&gnu;bash/bash-&bash-version;.tar.gz">
-<!ENTITY bash-md5 "518e2c187cc11a17040f0915dddce54e">
+<!ENTITY bash-md5 "2b44b47b905be16f45709648f671820b">
 <!ENTITY bash-home "&gnu-software;bash/">
 <!ENTITY bash-ch5-du "63 MB">
@@ -135,8 +135,8 @@
 <!ENTITY dejagnu-ch5-sbu "less than 0.1 SBU">
 
-<!ENTITY diffutils-version "3.6">
-<!ENTITY diffutils-size "1,366 KB">
+<!ENTITY diffutils-version "3.7">
+<!ENTITY diffutils-size "1,415 KB">
 <!ENTITY diffutils-url "&gnu;diffutils/diffutils-&diffutils-version;.tar.xz">
-<!ENTITY diffutils-md5 "07cf286672ced26fba54cd0313bdc071">
+<!ENTITY diffutils-md5 "4824adc0e95dbbf11dfbdfaad6a1e461">
 <!ENTITY diffutils-home "&gnu-software;diffutils/">
 <!ENTITY diffutils-ch5-du "23 MB">
@@ -350,8 +350,8 @@
 <!ENTITY intltool-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "4.19.0">
-<!ENTITY iproute2-size "708 KB">
+<!ENTITY iproute2-version "4.20.0">
+<!ENTITY iproute2-size "691 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "67eeebacaac4515cab73dfd2fc796af3">
+<!ENTITY iproute2-md5 "f3dab4c812812bbb5873cb90f471bcbf">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-ch6-du "13 MB">
@@ -423,11 +423,11 @@
 
 <!ENTITY linux-major-version "4">
-<!ENTITY linux-minor-version "19">
-<!ENTITY linux-patch-version "12">
+<!ENTITY linux-minor-version "20">
+<!ENTITY linux-patch-version "1">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "100,728 KB">
+<!ENTITY linux-size "100,816 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "cb545cc42a5dd593bb554dd3b5adfae0">
+<!ENTITY linux-md5 "210b8d108b502c462eeaec435c8e1a57">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -462,8 +462,8 @@
 <!ENTITY make-ch6-sbu "0.6 SBU">
 
-<!ENTITY man-db-version "2.8.4">
-<!ENTITY man-db-size "1,738 KB">
+<!ENTITY man-db-version "2.8.5">
+<!ENTITY man-db-size "1,746 KB">
 <!ENTITY man-db-url "&savannah;/releases/man-db/man-db-&man-db-version;.tar.xz">
-<!ENTITY man-db-md5 "ab41db551f500e4a595b11203b86c67a">
+<!ENTITY man-db-md5 "c5c6c3434be14a5527d43b5ad0f09a13">
 <!ENTITY man-db-home "https://www.nongnu.org/man-db/">
 <!ENTITY man-db-ch6-du "33 MB">
@@ -588,8 +588,8 @@
 <!ENTITY python-docs-size "6,072 KB">
 
-<!ENTITY readline-version "7.0">
-<!ENTITY readline-size "2,842 KB">
+<!ENTITY readline-version "8.0">
+<!ENTITY readline-size "2,907 KB">
 <!ENTITY readline-url "&gnu;readline/readline-&readline-version;.tar.gz">
-<!ENTITY readline-md5 "205b03a87fc83dab653b628c59b9fc91">
+<!ENTITY readline-md5 "7e6c1f16aee3244a69aba6e438295ca3">
 <!ENTITY readline-home "https://tiswww.case.edu/php/chet/readline/rltop.html">
 <!ENTITY readline-ch6-du "18 MB">
@@ -646,8 +646,8 @@
 <!ENTITY sysvinit-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY tar-version "1.30">
-<!ENTITY tar-size "2,059 KB">
+<!ENTITY tar-version "1.31">
+<!ENTITY tar-size "2,052 KB">
 <!ENTITY tar-url "&gnu;tar/tar-&tar-version;.tar.xz">
-<!ENTITY tar-md5 "2d01c6cd1387be98f57a0ec4e6e35826">
+<!ENTITY tar-md5 "bc9a89da1185ceb2210de12552c43ce2">
 <!ENTITY tar-home "&gnu-software;tar/">
 <!ENTITY tar-ch5-du "36 MB">
@@ -688,8 +688,8 @@
 
 <!ENTITY util-linux-minor "2.33">
-<!ENTITY util-linux-version "2.33"> <!-- 2.33.x -->
-<!ENTITY util-linux-size "4,554 KB">
+<!ENTITY util-linux-version "2.33.1"> <!-- 2.33.x -->
+<!ENTITY util-linux-size "4,542 KB">
 <!ENTITY util-linux-url "&kernel;linux/utils/util-linux/v&util-linux-minor;/util-linux-&util-linux-version;.tar.xz">
-<!ENTITY util-linux-md5 "3cdf1c652007610f92076ba4212381a9">
+<!ENTITY util-linux-md5 "6fcfea2043b5ac188fd3eed56aeb5d90">
 <!ENTITY util-linux-home "http://freecode.com/projects/util-linux">
 <!ENTITY util-linux-ch5-du "140 MB">