Index: bootscripts/ChangeLog
===================================================================
--- bootscripts/ChangeLog	(revision 76937595c64d7d6043b99612ba9697aef1709b8d)
+++ bootscripts/ChangeLog	(revision 866a915414f66095b080d3cbfaa2ca06a4a4c5cb)
@@ -1,2 +1,6 @@
+2019-10-31 DJ Lucas <dj@linuxfromscratch.org>
+   * Syslog should not start in runlevel 2 due to network logging
+   * Remove errant swap dependency for checkfs
+
 2019-10-04 DJ Lucas <dj@linuxfromscratch.org>
    * Additional updates to facilities in LSB headers to keep proper order
Index: bootscripts/lfs/init.d/checkfs
===================================================================
--- bootscripts/lfs/init.d/checkfs	(revision 76937595c64d7d6043b99612ba9697aef1709b8d)
+++ bootscripts/lfs/init.d/checkfs	(revision 866a915414f66095b080d3cbfaa2ca06a4a4c5cb)
@@ -28,5 +28,5 @@
 ### BEGIN INIT INFO
 # Provides:            checkfs
-# Required-Start:      udev swap
+# Required-Start:      udev
 # Should-Start:
 # Required-Stop:
Index: bootscripts/lfs/init.d/sysklogd
===================================================================
--- bootscripts/lfs/init.d/sysklogd	(revision 76937595c64d7d6043b99612ba9697aef1709b8d)
+++ bootscripts/lfs/init.d/sysklogd	(revision 866a915414f66095b080d3cbfaa2ca06a4a4c5cb)
@@ -19,6 +19,6 @@
 # Required-Stop:       $local_fs
 # Should-Stop:         sendsignals
-# Default-Start:       2 3 4 5
-# Default-Stop:        0 1 6
+# Default-Start:       3 4 5
+# Default-Stop:        0 1 2 6
 # Short-Description:   Starts kernel and system log daemons.
 # Description:         Starts kernel and system log daemons.
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 76937595c64d7d6043b99612ba9697aef1709b8d)
+++ chapter01/changelog.xml	(revision 866a915414f66095b080d3cbfaa2ca06a4a4c5cb)
@@ -45,9 +45,76 @@
     appropriate for the entry or if needed the entire day's listitem.
        -->
-    <listitem>
+    <listitem revision="sysv">
+      <para>2019-10-31</para>
+      <itemizedlist>
+        <listitem>
+          <para>[dj] - Update to lfs-bootscripts-20191031.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem revision="sysv">
+      <para>2019-11-08</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to Linux-5.3.9. Resolves a regression
+          with restarting systems with HD Audio (hda), data corruption
+          on btrfs, and a security vulnerability with systems that use
+          the RTLWIFI driver. Fixes
+          <ulink url="&lfs-ticket-root;4544">#4544</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem revision="systemd">
+      <para>2019-11-06</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Fix potential infinite loop with meson-0.52
+          and systemd-243.</para>
+        </listitem>
+       </itemizedlist>
+    </listitem>
+
+    <listitem revision="sysv">
+      <para>2019-10-31</para>
+      <itemizedlist>
+        <listitem>
+          <para>[dj] - Update to lfs-bootscripts-20191031.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem revision="sysv">
       <para>2019-10-25</para>
       <itemizedlist>
         <listitem>
           <para>[dj] - Update to lfs-bootscripts-20191025.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2019-11-01</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.3.8. Fixes
+          <ulink url="&lfs-ticket-root;4539">#4539</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bc-2.2.0. Fixes
+          <ulink url="&lfs-ticket-root;4543">#4543</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to check-0.13.0. Fixes
+          <ulink url="&lfs-ticket-root;4540">#4540</ulink>.</para>
+        </listitem>
+        <listitem revision="sysv">
+          <para>[bdubbs] - Update to eudev-3.2.9. Fixes
+          <ulink url="&lfs-ticket-root;4542">#4542</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to man-db-2.9.0. Fixes
+          <ulink url="&lfs-ticket-root;4541">#4541</ulink>.</para>
         </listitem>
       </itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 76937595c64d7d6043b99612ba9697aef1709b8d)
+++ chapter01/whatsnew.xml	(revision 866a915414f66095b080d3cbfaa2ca06a4a4c5cb)
@@ -42,7 +42,7 @@
       <para>Bash &bash-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Bc &bc-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem>
       <para>Binutils-&binutils-version;</para>
@@ -54,7 +54,7 @@
       <para>Bzip2-&bzip2-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Check-&check-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Coreutils-&coreutils-version;</para>
@@ -72,7 +72,7 @@
       <para>E2fsprogs-&e2fsprogs-version;</para>
    </listitem>
-   <!--<listitem revision="sysv">
+   <listitem revision="sysv">
       <para>Eudev-&eudev-version;</para>
-   </listitem>-->
+   </listitem>
    <listitem>
       <para>Expat-&expat-version;</para>
Index: chapter06/check.xml
===================================================================
--- chapter06/check.xml	(revision 76937595c64d7d6043b99612ba9697aef1709b8d)
+++ chapter06/check.xml	(revision 866a915414f66095b080d3cbfaa2ca06a4a4c5cb)
@@ -59,6 +59,7 @@
     <para>Install the package and fix a script:</para>
 
-    <screen><userinput remap="install">make docdir=/usr/share/doc/check-&check-version; install
+    <screen><userinput remap="install">make docdir=/usr/share/doc/check-&check-version; install &amp;&amp;
 sed -i '1 s/tools/usr/' /usr/bin/checkmk</userinput></screen>
+<!-- Removes a hardcoded call to /tools/bin/gawk at line 1 of checkmk. -->
 
   </sect2>
Index: chapter06/gettext.xml
===================================================================
--- chapter06/gettext.xml	(revision 76937595c64d7d6043b99612ba9697aef1709b8d)
+++ chapter06/gettext.xml	(revision 866a915414f66095b080d3cbfaa2ca06a4a4c5cb)
@@ -105,5 +105,5 @@
         ngettext, recode-sr-latin, and xgettext</seg>
         <seg>libasprintf.so, libgettextlib.so, libgettextpo.so,
-        libgettextsrc.so, and preloadable_libintl.so</seg>
+        libgettextsrc.so, libtextstyle.so, and preloadable_libintl.so</seg>
         <seg>/usr/lib/gettext, /usr/share/doc/gettext-&gettext-version;,
         /usr/share/gettext, and /usr/share/gettext-0.19.8</seg>
@@ -403,4 +403,14 @@
       </varlistentry>
 
+      <varlistentry id="libtextstyle">
+        <term><filename class="libraryfile">libtextstyle</filename></term>
+        <listitem>
+          <para>Text styling library</para>
+          <indexterm zone="ch-system-gettext libtextstyle">
+            <primary sortas="c-libtextstyle">libtextstyle</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="preloadable_libintl">
         <term><filename class="libraryfile">preloadable_libintl</filename></term>
Index: chapter06/systemd.xml
===================================================================
--- chapter06/systemd.xml	(revision 76937595c64d7d6043b99612ba9697aef1709b8d)
+++ chapter06/systemd.xml	(revision 866a915414f66095b080d3cbfaa2ca06a4a4c5cb)
@@ -44,5 +44,5 @@
     of systemd-243.</para>
 
-<screen><userinput remap="pre">patch -Np1 -i ../systemd-&systemd-version;-consolidated_fixes-1.patch</userinput></screen>
+<screen><userinput remap="pre">patch -Np1 -i ../systemd-&systemd-version;-consolidated_fixes-2.patch</userinput></screen>
 
     <para>Create a symlink to work around missing xsltproc:</para>
Index: general.ent
===================================================================
--- general.ent	(revision 76937595c64d7d6043b99612ba9697aef1709b8d)
+++ general.ent	(revision 866a915414f66095b080d3cbfaa2ca06a4a4c5cb)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20191025">
+<!ENTITY version         "SVN-20191108">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20191025-systemd">
+<!ENTITY versiond        "20191108-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "October 25th, 2019">
+<!ENTITY releasedate     "November 8th, 2019">
 
 <!ENTITY copyrightdate   "1999-2019"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision 76937595c64d7d6043b99612ba9697aef1709b8d)
+++ packages.ent	(revision 866a915414f66095b080d3cbfaa2ca06a4a4c5cb)
@@ -51,8 +51,8 @@
 <!ENTITY bash-ch6-sbu "2.1 SBU">
 
-<!ENTITY bc-version "2.1.3">
-<!ENTITY bc-size "233 KB">
+<!ENTITY bc-version "2.2.0">
+<!ENTITY bc-size "236 KB">
 <!ENTITY bc-url "https://github.com/gavinhoward/bc/archive/&bc-version;/bc-&bc-version;.tar.gz">
-<!ENTITY bc-md5 "2a882dc39c0fb8e36c12f590d54cc039">
+<!ENTITY bc-md5 "0de4a7b7592e1d7e12f9f601477fe081">
 <!ENTITY bc-home "https://github.com/gavinhoward/bc">
 <!ENTITY bc-ch6-du "2.8 MB">
@@ -100,8 +100,8 @@
 <!ENTITY ref6-md5 "REF6-MD5SUM">
 
-<!ENTITY check-version "0.12.0">
-<!ENTITY check-size "747 KB">
+<!ENTITY check-version "0.13.0">
+<!ENTITY check-size "753 KB">
 <!ENTITY check-url "&github;/libcheck/check/releases/download/&check-version;/check-&check-version;.tar.gz">
-<!ENTITY check-md5 "31b17c6075820a434119592941186f70">
+<!ENTITY check-md5 "2c730c40b08482eaeb10132517970593">
 <!ENTITY check-home "https://libcheck.github.io/check">
 <!ENTITY check-ch5-du "12 MB">
@@ -160,8 +160,8 @@
 <!ENTITY elfutils-ch6-sbu "1.1 SBU">
 
-<!ENTITY eudev-version "3.2.8">
-<!ENTITY eudev-size "1,850 KB">
+<!ENTITY eudev-version "3.2.9">
+<!ENTITY eudev-size "1,914 KB">
 <!ENTITY eudev-url "https://dev.gentoo.org/~blueness/eudev/eudev-&eudev-version;.tar.gz">
-<!ENTITY eudev-md5 "ce166b3fdd910c2a4a840378f48fedaf">
+<!ENTITY eudev-md5 "dedfb1964f6098fe9320de827957331f">
 <!ENTITY eudev-ch6-du "82 MB">
 <!ENTITY eudev-ch6-sbu "0.2 SBU">
@@ -389,5 +389,5 @@
 <!ENTITY less-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY lfs-bootscripts-version "20191025">      <!-- Scripts depend on this format -->
+<!ENTITY lfs-bootscripts-version "20191031">      <!-- Scripts depend on this format -->
 <!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB">        
 <!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.xz">
@@ -431,10 +431,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "3">
-<!ENTITY linux-patch-version "6">
+<!ENTITY linux-patch-version "9">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "106,024 KB">
+<!ENTITY linux-size "106,036 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "9905ef7f60b2ad0b26f614d95f3eb1e4">
+<!ENTITY linux-md5 "56ebdb30b6816b0cf29ba18f06c89836">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -477,8 +477,8 @@
 <!ENTITY make-ch6-sbu "0.6 SBU">
 
-<!ENTITY man-db-version "2.8.7">
-<!ENTITY man-db-size "1,796 KB">
+<!ENTITY man-db-version "2.9.0">
+<!ENTITY man-db-size "1,814 KB">
 <!ENTITY man-db-url "&savannah;/releases/man-db/man-db-&man-db-version;.tar.xz">
-<!ENTITY man-db-md5 "ec0b23c8314a1654c4d059b2c18ce43d">
+<!ENTITY man-db-md5 "897576a19ecbef376a916485608cd790">
 <!ENTITY man-db-home "https://www.nongnu.org/man-db/">
 <!ENTITY man-db-ch6-du "38 MB">
Index: patches.ent
===================================================================
--- patches.ent	(revision 76937595c64d7d6043b99612ba9697aef1709b8d)
+++ patches.ent	(revision 866a915414f66095b080d3cbfaa2ca06a4a4c5cb)
@@ -58,6 +58,6 @@
 <!ENTITY sysvinit-consolidated-patch-size "2.4 KB">
 
-<!ENTITY systemd-consolidated-patch "systemd-&systemd-version;-consolidated_fixes-1.patch">
-<!ENTITY systemd-consolidated-patch-md5 "d1f60dcbd53222eecfc58e4e95ef60ab">
-<!ENTITY systemd-consolidated-patch-size "60 KB">
+<!ENTITY systemd-consolidated-patch "systemd-&systemd-version;-consolidated_fixes-2.patch">
+<!ENTITY systemd-consolidated-patch-md5 "2bad2992f4373eb925885f2ea2fb8d14">
+<!ENTITY systemd-consolidated-patch-size "64 KB">
 