Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 173aea3c22a648219286575b96fe11030df56bb5)
+++ chapter01/changelog.xml	(revision 869b09668663e06670b710babd7261cd3821356d)
@@ -44,4 +44,26 @@
 -->
     <listitem>
+      <para>2018-02-02</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to glibc-2.27. Fixes
+          <ulink url="&lfs-ticket-root;4207">#4207</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to man-pages-4.15. Fixes
+          <ulink url="&lfs-ticket-root;4206">#4206</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bash-4.4.18. Fixes
+          <ulink url="&lfs-ticket-root;4205">#4205</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iproute2-4.15.0. Fixes
+          <ulink url="&lfs-ticket-root;4204">#4204</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2018-01-30</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 173aea3c22a648219286575b96fe11030df56bb5)
+++ chapter01/whatsnew.xml	(revision 869b09668663e06670b710babd7261cd3821356d)
@@ -102,7 +102,7 @@
       <para>Gettext-&gettext-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Glibc-&glibc-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>GMP-&gmp-version;</para>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision 173aea3c22a648219286575b96fe11030df56bb5)
+++ chapter03/patches.xml	(revision 869b09668663e06670b710babd7261cd3821356d)
@@ -76,5 +76,5 @@
       </listitem>
     </varlistentry>
-
+<!--
     <varlistentry>
       <term>Glibc Glob Security Patch - <token>&glibc-glob-patch-size;</token>:</term>
@@ -84,5 +84,5 @@
       </listitem>
     </varlistentry>
-
+-->
     <varlistentry>
       <term>Kbd Backspace/Delete Fix Patch - <token>&kbd-backspace-patch-size;</token>:</term>
Index: chapter05/make.xml
===================================================================
--- chapter05/make.xml	(revision 173aea3c22a648219286575b96fe11030df56bb5)
+++ chapter05/make.xml	(revision 869b09668663e06670b710babd7261cd3821356d)
@@ -43,4 +43,8 @@
     <title>Installation of Make</title>
 
+    <para>First, work around an error caused by glibc-2.27:</para>
+
+<screen><userinput remap="pre">sed -i '211,217 d; 219,229 d; 232 d' glob/glob.c</userinput></screen>
+
     <para>Prepare Make for compilation:</para>
 
Index: chapter06/binutils.xml
===================================================================
--- chapter06/binutils.xml	(revision 173aea3c22a648219286575b96fe11030df56bb5)
+++ chapter06/binutils.xml	(revision 869b09668663e06670b710babd7261cd3821356d)
@@ -72,4 +72,5 @@
              --enable-shared     \
              --disable-werror    \
+             --enable-64-bit-bfd \
              --with-system-zlib</userinput></screen>
     <variablelist>
@@ -96,4 +97,12 @@
         <listitem>
           <para>Enables plugin support for the linker.</para>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry>
+        <term><parameter>--enable-64-bit-bfd</parameter></term>
+        <listitem>
+           <para>Enables 64-bit support (on hosts with narrower word sizes).
+           May not be needed on 64-bit systems, but does no harm.</para>
         </listitem>
       </varlistentry>
Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision 173aea3c22a648219286575b96fe11030df56bb5)
+++ chapter06/glibc.xml	(revision 869b09668663e06670b710babd7261cd3821356d)
@@ -57,13 +57,18 @@
 
 <screen><userinput remap="pre">patch -Np1 -i ../&glibc-fhs-patch;</userinput></screen>
-
+<!--
     <para>Fix a minor security issue with glob functions:</para>
 
 <screen><userinput remap="pre">patch -Np1 -i ../&glibc-glob-patch;</userinput></screen>
-
+-->
     <para>First create a compatibility symlink to avoid references to /tools in
     our final glibc:</para>
 
 <screen><userinput remap="pre">ln -sfv /tools/lib/gcc /usr/lib</userinput></screen>
+
+    <para>Now work around a problem caused by a hard-coded path to an 
+    executable program:</para>
+
+<screen><userinput remap="pre">ln -sfv /tools/bin/m4 /usr/bin</userinput></screen>
 
     <para>Determine the GCC include directory and create a symlink for LSB
Index: chapter06/make.xml
===================================================================
--- chapter06/make.xml	(revision 173aea3c22a648219286575b96fe11030df56bb5)
+++ chapter06/make.xml	(revision 869b09668663e06670b710babd7261cd3821356d)
@@ -41,4 +41,7 @@
     <title>Installation of Make</title>
 
+    <para>Again, work around an error caused by glibc-2.27:</para>
+
+<screen><userinput remap="pre">sed -i '211,217 d; 219,229 d; 232 d' glob/glob.c</userinput></screen>
     <para>Prepare Make for compilation:</para>
 
Index: chapter06/vim.xml
===================================================================
--- chapter06/vim.xml	(revision 173aea3c22a648219286575b96fe11030df56bb5)
+++ chapter06/vim.xml	(revision 869b09668663e06670b710babd7261cd3821356d)
@@ -140,5 +140,4 @@
   set background=dark
 endif
-
 
 " End /etc/vimrc</literal>
Index: general.ent
===================================================================
--- general.ent	(revision 173aea3c22a648219286575b96fe11030df56bb5)
+++ general.ent	(revision 869b09668663e06670b710babd7261cd3821356d)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20180130">
+<!ENTITY version         "SVN-20180202">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20180130-systemd">
+<!ENTITY versiond        "20180202-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "January 30, 2018">
+<!ENTITY releasedate     "February 2, 2018">
 
 <!ENTITY copyrightdate   "1999-2018"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision 173aea3c22a648219286575b96fe11030df56bb5)
+++ packages.ent	(revision 869b09668663e06670b710babd7261cd3821356d)
@@ -41,8 +41,8 @@
 <!ENTITY automake-ch6-sbu "less than 0.1 SBU (about 8.5 SBU with tests)">
 
-<!ENTITY bash-version "4.4.12">
-<!ENTITY bash-size "9,244 KB">
+<!ENTITY bash-version "4.4.18">
+<!ENTITY bash-size "9,242 KB">
 <!ENTITY bash-url "&gnu;bash/bash-&bash-version;.tar.gz">
-<!ENTITY bash-md5 "7c112970cbdcadfc331e10eeb5f6aa41">
+<!ENTITY bash-md5 "518e2c187cc11a17040f0915dddce54e">
 <!ENTITY bash-home "&gnu-software;bash/">
 <!ENTITY bash-ch5-du "61 MB">
@@ -256,8 +256,8 @@
 <!ENTITY gettext-ch6-sbu "2.4 SBU">
 
-<!ENTITY glibc-version "2.26">
-<!ENTITY glibc-size "14,339 KB">
+<!ENTITY glibc-version "2.27">
+<!ENTITY glibc-size "15,035 KB">
 <!ENTITY glibc-url "&gnu;glibc/glibc-&glibc-version;.tar.xz">
-<!ENTITY glibc-md5 "102f637c3812f81111f48f2427611be1">
+<!ENTITY glibc-md5 "898cd5656519ffbc3a03fe811dd89e82">
 <!ENTITY glibc-home "&gnu-software;libc/">
 <!ENTITY glibc-ch5-du "790 MB">
@@ -343,8 +343,8 @@
 <!ENTITY intltool-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "4.14.1">
-<!ENTITY iproute2-size "622 KB">
+<!ENTITY iproute2-version "4.15.0">
+<!ENTITY iproute2-size "634 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "1075423d7029e02a8f23ed4f42b7e372">
+<!ENTITY iproute2-md5 "0681bf4664b2649ad4e12551a3a7a1f9">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-ch6-du "12 MB">
@@ -463,8 +463,8 @@
 <!ENTITY man-db-ch6-sbu "0.4 SBU">
 
-<!ENTITY man-pages-version "4.14">
-<!ENTITY man-pages-size "1,574 KB">
+<!ENTITY man-pages-version "4.15">
+<!ENTITY man-pages-size "1,585 KB">
 <!ENTITY man-pages-url "&kernel;linux/docs/man-pages/man-pages-&man-pages-version;.tar.xz">
-<!ENTITY man-pages-md5 "4c2c44f27e8f2c593ea67caa981a6c3b">
+<!ENTITY man-pages-md5 "4298feb3d5feffad8ff46bb87b061a07">
 <!ENTITY man-pages-home "http://www.kernel.org/doc/man-pages/">
 <!ENTITY man-pages-ch6-du "27 MB">
Index: patches.ent
===================================================================
--- patches.ent	(revision 173aea3c22a648219286575b96fe11030df56bb5)
+++ patches.ent	(revision 869b09668663e06670b710babd7261cd3821356d)
@@ -35,8 +35,9 @@
 <!ENTITY glibc-fhs-patch-size "2.8 KB">
 
+<!--
 <!ENTITY glibc-glob-patch "glibc-&glibc-version;-local_glob_exploits-2.patch">
 <!ENTITY glibc-glob-patch-md5 "1377e4f5422c6672ff48d430c07b245c">
 <!ENTITY glibc-glob-patch-size "2.3 KB">
-
+-->
 <!--
 <!ENTITY glibc-upstream-patch "glibc-&glibc-version;-upstream_fixes-1.patch">