Index: appendixa/bzip2-dep.xml
===================================================================
--- appendixa/bzip2-dep.xml	(revision 90423c094424faf7172bf9642f3db2843e11bccd)
+++ appendixa/bzip2-dep.xml	(revision 873ec177165d1a9d97a917d532902b55567a18e5)
@@ -1,2 +1,4 @@
+<sect2><title>&nbsp;</title><para>&nbsp;</para></sect2>
+
 <sect2>
 <title>Bzip2 Installation Dependencies</title>
Index: appendixa/bzip2-desc.xml
===================================================================
--- appendixa/bzip2-desc.xml	(revision 90423c094424faf7172bf9642f3db2843e11bccd)
+++ appendixa/bzip2-desc.xml	(revision 873ec177165d1a9d97a917d532902b55567a18e5)
@@ -1,11 +1,9 @@
-<sect2><title>Contents of Bzip2</title>
+<sect2><title>&nbsp;</title><para>&nbsp;</para></sect2>
+
+<sect2><title>Descriptions</title>
 
 <para>Last checked against version &bzip2-contversion;</para>
 
-<sect3><title>Program Files</title>
-<para>bunzip2 (link to bzip2), bzcat (link to bzip2), bzcmp, bzdiff, bzegrep,
-bzfgrep, bzgrep, bzip2, bzip2recover, bzless and bzmore</para></sect3>
-
-<sect3><title>Descriptions</title>
+<sect3><title>Program files descriptions</title>
 
 <sect4><title>bunzip2</title>
@@ -29,5 +27,6 @@
 compression algorithm and Huffman coding. Compression is generally 
 considerably better than that achieved by more conventional LZ77/LZ78-based 
-compressors and approaches the performance of the PPM family of statistical 
+compressors (such as the traditional <userinput>gzip</userinput> utility)
+and approaches the performance of the PPM family of statistical
 compressors.</para></sect4>
 
@@ -47,7 +46,5 @@
 </sect3>
 
-<sect3><title>Library Files</title>
-<para>libbz2.a, libbz2.so (link to libbz2.so.1.0), libbz2.so.1.0 (link to
-libbz2.so.1.0.2) and libbz2.so.1.0.2</para>
+<sect3><title>Library files descriptions</title>
 
 <sect4><title>libbz2</title>
Index: appendixa/bzip2.xml
===================================================================
--- appendixa/bzip2.xml	(revision 90423c094424faf7172bf9642f3db2843e11bccd)
+++ appendixa/bzip2.xml	(revision 873ec177165d1a9d97a917d532902b55567a18e5)
@@ -4,4 +4,5 @@
 
 &aa-bzip2-down;
+&aa-bzip2-shortdesc;
 &aa-bzip2-desc;
 &aa-bzip2-dep;
Index: apter05/bzip2-exp.xml
===================================================================
--- chapter05/bzip2-exp.xml	(revision 90423c094424faf7172bf9642f3db2843e11bccd)
+++ 	(revision )
@@ -1,8 +1,0 @@
-<sect2>
-<title>Command explanations</title>
-
-<para><userinput>make CC="gcc -static -s": </userinput>These flags instruct
-gcc to statically link bzip2, without compiling symbols.</para>
-
-</sect2>
-
Index: chapter05/bzip2-inst.xml
===================================================================
--- chapter05/bzip2-inst.xml	(revision 90423c094424faf7172bf9642f3db2843e11bccd)
+++ chapter05/bzip2-inst.xml	(revision 873ec177165d1a9d97a917d532902b55567a18e5)
@@ -1,9 +1,30 @@
+<sect2><title>&nbsp;</title><para>&nbsp;</para></sect2>
+
 <sect2>
 <title>Installation of Bzip2</title>
 
-<para>Install Bzip2 by running the following commands:</para>
+<para>Since the Bzip2 package has no configure script we can't prepare it
+for compilation. Instead we just run the <userinput>make</userinput>
+program and start compiling, with a few variables changed to suit our
+environment:</para>
 
-<para><screen><userinput>make CC="gcc -static -s" &amp;&amp;
+<para><screen><userinput>make CC="gcc -static -s"
 make PREFIX=$LFS/static install</userinput></screen></para>
+
+<para>The meaning of the make options are:</para>
+
+<itemizedlist>
+
+<listitem><para><userinput>CC="gcc -static -s":</userinput> The Bzip2 package
+does not honour the <emphasis>LDFLAGS</emphasis> variable, so instead we set
+the <emphasis>CC</emphasis> variable which defines which compiler to use.
+The <emphasis>-static</emphasis> option tells the compiler to link all
+programs statically.</para></listitem>
+
+<listitem><para><userinput>PREFIX=$LFS/static:</userinput> Instead of
+passing a <emphasis>--prefix=$LFS/static</emphasis> to a configure script,
+we set the <emphasis>PREFIX</emphasis> variable to accomplish the same goal
+(since there is no configure script present).</para></listitem>
+</itemizedlist>
 
 </sect2>
Index: chapter05/bzip2.xml
===================================================================
--- chapter05/bzip2.xml	(revision 90423c094424faf7172bf9642f3db2843e11bccd)
+++ chapter05/bzip2.xml	(revision 873ec177165d1a9d97a917d532902b55567a18e5)
@@ -6,8 +6,7 @@
 Estimated required disk space:  &bzip2-compsize-static;</screen>
 
+&aa-bzip2-shortdesc;
+&aa-bzip2-dep;
 &c5-bzip2-inst;
-&c5-bzip2-exp;
-&aa-bzip2-desc;
-&aa-bzip2-dep;
 
 </sect1>
Index: entities/bzip2.ent
===================================================================
--- entities/bzip2.ent	(revision 90423c094424faf7172bf9642f3db2843e11bccd)
+++ entities/bzip2.ent	(revision 873ec177165d1a9d97a917d532902b55567a18e5)
@@ -10,4 +10,5 @@
 
 <!ENTITY aa-bzip2 SYSTEM "../appendixa/bzip2.xml">
+<!ENTITY aa-bzip2-shortdesc SYSTEM "../appendixa/bzip2-shortdesc.xml">
 <!ENTITY aa-bzip2-desc SYSTEM "../appendixa/bzip2-desc.xml">
 <!ENTITY aa-bzip2-dep SYSTEM "../appendixa/bzip2-dep.xml">