Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision ce2c730d5b399ea6e75e8cac6d67cbdca14c6f7e)
+++ chapter01/changelog.xml	(revision 957ce6b7afbe27d4eae1971847ae673298c2e1e0)
@@ -44,4 +44,18 @@
        -->
     <listitem>
+      <para>2019-12-12</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to libcap-2.28. Fixes
+          <ulink url="&lfs-ticket-root;4559">#4559</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bison-3.5. Fixes
+          <ulink url="&lfs-ticket-root;4561">#4561</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2019-12-10</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision ce2c730d5b399ea6e75e8cac6d67cbdca14c6f7e)
+++ chapter01/whatsnew.xml	(revision 957ce6b7afbe27d4eae1971847ae673298c2e1e0)
@@ -147,7 +147,7 @@
       <para>LFS-Bootscripts-&lfs-bootscripts-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Libcap-&libcap-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem>
       <para>Libelf-&elfutils-version; (from elfutils)</para>
Index: chapter06/bison.xml
===================================================================
--- chapter06/bison.xml	(revision ce2c730d5b399ea6e75e8cac6d67cbdca14c6f7e)
+++ chapter06/bison.xml	(revision 957ce6b7afbe27d4eae1971847ae673298c2e1e0)
@@ -40,17 +40,22 @@
   <sect2 role="installation">
     <title>Installation of Bison</title>
-
+<!--
     <para>First, fix a build problem with the current version:</para>
 
 <screen><userinput remap="pre">sed -i '9327 s/mv/cp/' Makefile.in</userinput></screen>
-
+-->
     <para>Prepare Bison for compilation:</para>
 
 <screen><userinput remap="configure">./configure --prefix=/usr --docdir=/usr/share/doc/bison-&bison-version;</userinput></screen>
 
+<!--  I could not find a race condidtion in the current version.
     <para>Compile the package, but work around a race condition in the 
     current version:</para>
 
-<screen><userinput remap="make">make -j1</userinput></screen>
+<screen><userinput remap="make">make -j1</userinput></screen>-->
+
+    <para>Compile the package:</para>
+
+<screen><userinput remap="make">make</userinput></screen>
 
 <!--
Index: general.ent
===================================================================
--- general.ent	(revision ce2c730d5b399ea6e75e8cac6d67cbdca14c6f7e)
+++ general.ent	(revision 957ce6b7afbe27d4eae1971847ae673298c2e1e0)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20191210">
+<!ENTITY version         "SVN-20191212">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20191210-systemd">
+<!ENTITY versiond        "20191212-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "December 10th, 2019">
+<!ENTITY releasedate     "December 12th, 2019">
 
 <!ENTITY copyrightdate   "1999-2019"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision ce2c730d5b399ea6e75e8cac6d67cbdca14c6f7e)
+++ packages.ent	(revision 957ce6b7afbe27d4eae1971847ae673298c2e1e0)
@@ -70,8 +70,8 @@
 <!ENTITY binutils-ch6-sbu "7.4 SBU">
 
-<!ENTITY bison-version "3.4.2">
-<!ENTITY bison-size "2,189 KB">
+<!ENTITY bison-version "3.5">
+<!ENTITY bison-size "2,287 KB">
 <!ENTITY bison-url "&gnu;bison/bison-&bison-version;.tar.xz">
-<!ENTITY bison-md5 "d1ceb9dfde2d03b24a4c1137f7f1b572">
+<!ENTITY bison-md5 "c0230be066069f33c8445766833f3205">
 <!ENTITY bison-home "&gnu-software;bison/">
 <!ENTITY bison-ch5-du "39 MB">
@@ -389,8 +389,8 @@
 <!ENTITY lfs-bootscripts-ch7-sbu "less than 0.1 SBU">
 
-<!ENTITY libcap-version "2.27">
-<!ENTITY libcap-size "67 KB">
+<!ENTITY libcap-version "2.28">
+<!ENTITY libcap-size "93 KB">
 <!ENTITY libcap-url "&kernel;linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
-<!ENTITY libcap-md5 "2e8f9fab32eb5ccb37969fe317fd17aa">
+<!ENTITY libcap-md5 "4066ddca53fb7e146f98372c8e43afc4">
 <!ENTITY libcap-home "https://sites.google.com/site/fullycapable/">
 <!ENTITY libcap-ch6-du "1.5 MB">