Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 4dab0711e26adbf477cbd37bad8412f2616acd58)
+++ chapter01/changelog.xml	(revision 0967c907bcf790345d9cbb9477719117e9b78d4f)
@@ -47,4 +47,8 @@
       <itemizedlist>
         <listitem>
+          <para>[dj] - Introduce -isystem to use the final system location of
+          gcc's internel headers in the GlibC build.</para>
+        </listitem>
+        <listitem>
           <para>[ken] - Update some library versions in Stripping Again, partly
           fixes <ulink url="&lfs-ticket-root;4085">#4085</ulink>.</para>
Index: chapter06/createfiles.xml
===================================================================
--- chapter06/createfiles.xml	(revision 4dab0711e26adbf477cbd37bad8412f2616acd58)
+++ chapter06/createfiles.xml	(revision 0967c907bcf790345d9cbb9477719117e9b78d4f)
@@ -170,5 +170,5 @@
       <term><parameter><filename>/usr/lib/lib{blkid,lzma,mount,uuid}.{a,la,so*}</filename></parameter></term>
       <listitem>
-        <para>These links prevent systemd utilties from being poluted with an
+        <para>These links prevent systemd utilities from being acquiring an
         unnecessary reference to the
         <filename class="directory">/tools</filename> directory.</para>
Index: chapter06/gcc.xml
===================================================================
--- chapter06/gcc.xml	(revision 4dab0711e26adbf477cbd37bad8412f2616acd58)
+++ chapter06/gcc.xml	(revision 0967c907bcf790345d9cbb9477719117e9b78d4f)
@@ -51,4 +51,9 @@
   ;;
 esac</userinput></screen>
+
+    <para>Remove the symlink created earlier as the final gcc includes will be
+    installed here:</para>
+
+<screen><userinput remap="pre">rm -f /usr/lib/gcc</userinput></screen>
 
     <para>The GCC documentation recommends building GCC in a dedicated build directory:</para>
Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision 4dab0711e26adbf477cbd37bad8412f2616acd58)
+++ chapter06/glibc.xml	(revision 0967c907bcf790345d9cbb9477719117e9b78d4f)
@@ -58,12 +58,19 @@
 <screen><userinput remap="pre">patch -Np1 -i ../&glibc-fhs-patch;</userinput></screen>
 
-    <para>Create a symlink for LSB compliance and, for x86_64, a
-    compatibility symlink required for the dynamic loader to function
-    correctly:</para>
+    <para>First create a compatibility symlink to avoid references to /tools in
+    our final glibc:</para>
+
+<screen><userinput remap="pre">ln -sfv /tools/lib/gcc /usr/lib</userinput></screen>
+
+    <para>Determine the GCC include directory and create a symlink for LSB
+    compliance. Additionally, for x86_64, create a compatibility symlink
+    required for the dynamic loader to function correctly:</para>
 
 <screen><userinput remap="pre">case $(uname -m) in
-    x86) ln -s ld-linux.so.2 /lib/ld-lsb.so.3
+    x86)    GCC_INCDIR=/usr/lib/gcc/x86-pc-linux-gnu/&gcc-version;/include
+            ln -s ld-linux.so.2 /lib/ld-lsb.so.3
     ;;
-    x86_64) ln -s ../lib/ld-linux-x86-64.so.2 /lib64
+    x86_64) GCC_INCDIR=/usr/lib/gcc/x86_64-pc-linux-gnu/&gcc-version;/include
+            ln -s ../lib/ld-linux-x86-64.so.2 /lib64
             ln -s ../lib/ld-linux-x86-64.so.2 /lib64/ld-lsb-x86-64.so.3
     ;;
@@ -78,13 +85,23 @@
     <para>Prepare Glibc for compilation:</para>
 
-<screen><userinput remap="configure">../configure --prefix=/usr                   \
-             --disable-werror                \
-             --enable-kernel=&min-kernel;          \
-             --enable-obsolete-rpc           \
-             --enable-stack-protector=strong \
-             libc_cv_slibdir=/lib</userinput></screen>
+<screen><userinput remap="configure">CC="gcc -isystem $GCC_INCDIR -isystem /usr/include" \
+../configure --prefix=/usr                          \
+             --disable-werror                       \
+             --enable-kernel=&min-kernel;                 \
+             --enable-obsolete-rpc                  \
+             --enable-stack-protector=strong        \
+             libc_cv_slibdir=/lib
+unset GCC_INCDIR</userinput></screen>
 
    <variablelist>
-      <title>The meaning of the new configure options:</title>
+      <title>The meaning of the options and new configure parameters:</title>
+
+      <varlistentry>
+        <term><parameter>CC="gcc -isystem $GCC_INCDIR -isystem /usr/include"</parameter></term>
+        <listitem>
+          <para>Setting the location of both gcc and system include directories
+          avoids introduction of invalid paths in debuging symbols.</para>
+        </listitem>
+      </varlistentry>
 
       <varlistentry>