Index: appendixc/dependencies.xml
===================================================================
--- appendixc/dependencies.xml	(revision 19abef318ee47b0bbd53af2fd2c8e592f52b411f)
+++ appendixc/dependencies.xml	(revision 968d0442c4e5bf42ea4d5cdc8c995953df64560a)
@@ -21,6 +21,6 @@
   <para>For each package we build, we have listed three types of dependencies.
   The first lists what other packages need to be available in order to compile
-  and install the package in question. The second lists what packages in
-  addition to the first list need to be available in order to run the
+  and install the package in question. The second lists what packages, in
+  addition to those on the first list, need to be available in order to run the
   testsuites. The last list of dependencies are packages that require this
   package to be built and installed in its final location before they are built
@@ -38,13 +38,13 @@
 
         <seglistitem>
-          <seg>Bash, Coreutils, M4, Make, Perl, Sed and Texinfo</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>Automake, Diffutils, Findutils, GCC and Libtool</seg>
+          <seg>Bash, Coreutils, Grep, M4, Make, Perl, Sed, and Texinfo</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>Automake, Diffutils, Findutils, GCC, and Libtool</seg>
         </seglistitem>
       </segmentedlist>
@@ -66,5 +66,5 @@
         <seglistitem>
           <seg>Autoconf, Bash, Coreutils, Gettext, Grep, M4, Make, Perl,
-          Sed and Texinfo</seg>
+          Sed, and Texinfo</seg>
         </seglistitem>
       </segmentedlist>
@@ -75,8 +75,6 @@
         <seglistitem>
           <seg>Binutils, Bison, Bzip2, DejaGNU, Diffutils, Expect, Findutils,
-          Flex, GCC, Gettext, Gzip, Libtool and Tar. Also note that the "destdir"
-          test will always be skipped, because it only works for non-root users,
-          and several other tests will be skipped as they depend on packages
-          not installed in LFS</seg>
+          Flex, GCC, Gettext, Gzip, Libtool, and Tar. Can also use several
+          other packages that are not installed in LFS.</seg>
         </seglistitem>
       </segmentedlist>
@@ -98,5 +96,5 @@
         <seglistitem>
           <seg>Bash, Bison, Coreutils, Diffutils, GCC, Glibc, Grep, Make,
-	  Ncurses, Patch, Readline, Sed and Texinfo</seg>
+	  Ncurses, Patch, Readline, Sed, and Texinfo</seg>
         </seglistitem>
       </segmentedlist>
@@ -126,13 +124,13 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, Diffutils, Gawk, GCC, Glibc, Grep,
-	 Make and Sed</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
+         Make, and Sed</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>Not run. Requires TCL installed on the final system</seg>
         </seglistitem>
       </segmentedlist>
@@ -153,6 +151,6 @@
 
         <seglistitem>
-         <seg>Bash, Coreutils, Diffutils, Expect, GCC, Gettext, Glibc, Grep,
-         Make, Perl, Sed, Tcl and Texinfo</seg>
+         <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Gettext, Glibc, Grep,
+         Make, Perl, Sed, and Texinfo</seg>
         </seglistitem>
       </segmentedlist>
@@ -181,6 +179,6 @@
 
         <seglistitem>
-         <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Gettext, Glibc,
-         Grep, M4, Make and Sed</seg>
+         <seg>Bash, Binutils, Coreutils, GCC, Gettext, Glibc,
+         Grep, M4, Make, and Sed</seg>
         </seglistitem>
       </segmentedlist>
@@ -198,5 +196,5 @@
 
         <seglistitem>
-          <seg>Flex, Kbd and Tar</seg>
+          <seg>Flex, Kbd, and Tar</seg>
         </seglistitem>
       </segmentedlist>
@@ -209,5 +207,6 @@
 
         <seglistitem>
-         <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, Make and Patch</seg>
+         <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, Make,
+         and Patch</seg>
         </seglistitem>
       </segmentedlist>
@@ -237,5 +236,5 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, GCC, Gettext, Glibc, Grep, Make,
-	 Patch, Perl, Sed and Texinfo</seg>
+         Patch, Perl, Sed, and Texinfo</seg>
         </seglistitem>
       </segmentedlist>
@@ -253,5 +252,32 @@
 
         <seglistitem>
-          <seg>Bash, Diffutils, Findutils, Man-DB and Udev</seg>
+          <seg>Bash, Diffutils, Findutils, Man-DB, and Udev</seg>
+        </seglistitem>
+      </segmentedlist>
+
+<!-- Begin DejaGNU dependency info -->
+  <bridgehead renderas="sect2" id="dejagnu-dep">DejaGNU</bridgehead>
+
+      <segmentedlist>
+        <segtitle>&dependencies;</segtitle>
+
+        <seglistitem>
+         <seg>Bash, Coreutils, Diffutils, GCC, Grep, Make, and Sed</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No testsuite available</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&before;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
         </seglistitem>
       </segmentedlist>
@@ -265,13 +291,13 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Gettext, Glibc, Grep,
-	 Make, Patch, Sed and Texinfo</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
+	 Make, Patch, Sed, and Texinfo</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No testsuite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -293,5 +319,5 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, Grep, Make,
-	 Patch, Sed and Tcl</seg>
+         Patch, Sed, and Tcl</seg>
         </seglistitem>
       </segmentedlist>
@@ -321,5 +347,5 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, Gawk, GCC, Gettext, Glibc, Grep, Gzip,
-	 Make, Sed and Texinfo</seg>
+         Make, Sed, and Texinfo</seg>
         </seglistitem>
       </segmentedlist>
@@ -349,13 +375,13 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, Diffutils, Gawk, GCC, Glibc, Grep,
-	 Make, Sed and Zlib</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
+	 Make, Sed, and Zlib</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No testsuite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -377,13 +403,13 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, GCC, Gettext, Glibc, Grep, Make,
-	 Sed and Texinfo</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>DejaGNU, Diffutils and Expect</seg>
+         Sed, and Texinfo</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>DejaGNU, Diffutils, and Expect</seg>
         </seglistitem>
       </segmentedlist>
@@ -405,5 +431,5 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, GCC, Gettext, Glibc, Grep, M4, Make,
-	 Patch, Sed and Texinfo</seg>
+         Patch, Sed, and Texinfo</seg>
         </seglistitem>
       </segmentedlist>
@@ -421,5 +447,5 @@
 
         <seglistitem>
-          <seg>IPRoute2, Kbd and Man-DB</seg>
+          <seg>IPRoute2, Kbd, and Man-DB</seg>
         </seglistitem>
       </segmentedlist>
@@ -433,5 +459,5 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, GCC, Gettext, Glibc, Grep, Make,
-	 Patch, Sed and Texinfo</seg>
+         Patch, Sed and, Texinfo</seg>
         </seglistitem>
       </segmentedlist>
@@ -461,5 +487,5 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, Diffutils, Findutils, Gawk, GCC,
-	 Gettext, Glibc, Grep, Make, Patch, Perl, Sed, Tar and Texinfo</seg>
+         Gettext, Glibc, Grep, Make, Patch, Perl, Sed, Tar, and Texinfo</seg>
         </seglistitem>
       </segmentedlist>
@@ -489,13 +515,13 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, Gawk, GCC, Glibc, Grep, Make,
-	 Sed and Texinfo</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>Diffutils, Perl and Tcl</seg>
+         Sed, and Texinfo</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>Diffutils, Perl, and Tcl</seg>
         </seglistitem>
       </segmentedlist>
@@ -506,4 +532,32 @@
         <seglistitem>
           <seg>Automake</seg>
+        </seglistitem>
+      </segmentedlist>
+
+<!-- Begin Glibc dependency info -->
+  <bridgehead renderas="sect2" id="glibc-dep">Glibc</bridgehead>
+
+      <segmentedlist>
+        <segtitle>&dependencies;</segtitle>
+
+        <seglistitem>
+         <seg>Bash, Binutils, Coreutils, Diffutils, Gawk, GCC, Gettext,
+         Grep, Gzip, Make, Perl, Sed, and Texinfo</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&before;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
         </seglistitem>
       </segmentedlist>
@@ -517,5 +571,5 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Gettext, Glibc, Make,
-	 Patch, Sed and Texinfo</seg>
+         Patch, Sed, and Texinfo</seg>
         </seglistitem>
       </segmentedlist>
@@ -545,13 +599,13 @@
         <seglistitem>
          <seg>Bash, Binutils, Bison, Coreutils,  Gawk, GCC, Glibc, Grep, Make,
-	 Patch, Sed and Texinfo</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
+         Patch, Sed, and Texinfo</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No testsuite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -573,5 +627,5 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, Grep, Make,
-	 Ncurses, Sed and Texinfo</seg>
+         Ncurses, Sed, and Texinfo</seg>
         </seglistitem>
       </segmentedlist>
@@ -601,13 +655,13 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, Grep, Make,
-	 Patch, Sed and Texinfo</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
+         Patch, Sed, and Texinfo</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No testsuite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -628,13 +682,13 @@
 
         <seglistitem>
-         <seg>Coreutils, Gawk and Make</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
+         <seg>Coreutils, Gawk, and Make</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No testsuite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -656,13 +710,13 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, GCC, Glibc, Grep, Make, Ncurses,
-	 Patch, Sed and Texinfo</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
+         Patch, Sed, and Texinfo</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No testsuite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -683,14 +737,14 @@
 
         <seglistitem>
-         <seg>Bash, Berkeley DB, Bison, Coreutils, Flex, GCC, Glibc, Make
-	 and Linux-Libc-Headers</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
+         <seg>Bash, Berkeley DB, Bison, Coreutils, Flex, GCC, Glibc, Make,
+         and Linux-Libc-Headers</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No testsuite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -712,13 +766,13 @@
         <seglistitem>
          <seg>Bash, Binutils, Bison, Coreutils, Flex, GCC, Gettext, Glibc,
-	 Gzip, Make, Patch and Sed</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
+         Gzip, Make, Patch, and Sed</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No testsuite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -740,13 +794,13 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, Grep, Make,
-	 Ncurses and Sed</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
+         Ncurses, and Sed</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No testsuite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -768,5 +822,5 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, Diffutils, Gawk, GCC, Glibc, Grep,
-	 Make, Sed and Texinfo</seg>
+         Make, Sed, and Texinfo</seg>
         </seglistitem>
       </segmentedlist>
@@ -796,13 +850,13 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, Diffutils, Findutils, GCC, Glibc, Grep,
-	 Gzip, Make, Module-Init-Tools, Ncurses and Sed</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
+         Gzip, Make, Module-Init-Tools, Ncurses, and Sed</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No testsuite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -823,5 +877,5 @@
 
         <seglistitem>
-         <seg>Bash, Binutils, Coreutils, GCC, Glibc, Grep, Make and Sed</seg>
+         <seg>Bash, Binutils, Coreutils, GCC, Glibc, Grep, Make, and Sed</seg>
         </seglistitem>
       </segmentedlist>
@@ -851,21 +905,21 @@
         <seglistitem>
          <seg>Bash, Berkeley DB, Binutils, Bzip2, Coreutils, Flex, GCC, Gettext,
-	 Glibc, Grep, Groff, Gzip, Less, Make and Sed</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>Diffutils</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&before;</segtitle>
-
-        <seglistitem>
-          <seg>Autoconf and Bison</seg>
+         Glibc, Grep, Groff, Gzip, Less, Make, and Sed</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>Not run. Requires Man-DB testsuite package</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&before;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
         </seglistitem>
       </segmentedlist>
@@ -879,5 +933,5 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Gettext, Glibc, Grep,
-	 Make, Sed and Texinfo</seg>
+         Make, Sed, and Texinfo</seg>
         </seglistitem>
       </segmentedlist>
@@ -906,13 +960,13 @@
 
         <seglistitem>
-         <seg>Bash, Binutils, Coreutils, GCC, Glibc, Grep, Patch and Sed</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
+         <seg>Bash, Binutils, Coreutils, GCC, Glibc, Grep, Patch, and Sed</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No testsuite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -933,13 +987,14 @@
 
         <seglistitem>
-         <seg>Bash, Binutils, Coreutils, GCC, Glibc, Grep, Make, Sed and Zlib</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>File, Findutils and Gawk</seg>
+         <seg>Bash, Binutils, Coreutils, GCC, Glibc, Grep, Make, Sed,
+         and Zlib</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>File, Findutils, and Gawk</seg>
         </seglistitem>
       </segmentedlist>
@@ -961,13 +1016,13 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, Diffutils, Gawk, GCC, Glibc, Grep,
-	 Make, Patch and Sed</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
+         Make, Patch, and Sed</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No testsuite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -978,5 +1033,5 @@
         <seglistitem>
           <seg>Bash, GRUB, Inetutils, Less, Procps, Psmisc, Readline, Texinfo,
-	  Util-Linux and Vim</seg>
+          Util-Linux, and Vim</seg>
         </seglistitem>
       </segmentedlist>
@@ -989,13 +1044,13 @@
 
         <seglistitem>
-         <seg>Bash, Binutils, Coreutils, GCC, Glibc, Grep, Make and Sed</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
+         <seg>Bash, Binutils, Coreutils, GCC, Glibc, Grep, Make, and Sed</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No testsuite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1017,5 +1072,5 @@
         <seglistitem>
          <seg>Bash, Berkeley DB, Binutils, Coreutils, Gawk, GCC, Glibc, Grep,
-	 Groff, Make and Sed</seg>
+         Groff, Make, and Sed</seg>
         </seglistitem>
       </segmentedlist>
@@ -1044,13 +1099,13 @@
 
         <seglistitem>
-         <seg>Bash, Binutils, Coreutils, GCC, Glibc, Make and Ncurses</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
+         <seg>Bash, Binutils, Coreutils, GCC, Glibc, Make, and Ncurses</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No testsuite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1071,14 +1126,14 @@
 
         <seglistitem>
-         <seg>Bash, Coreutils, GCC, Gettext, Glibc, Grep, Make, Ncurses
-	 and Sed</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
+         <seg>Bash, Coreutils, GCC, Gettext, Glibc, Grep, Make, Ncurses,
+         and Sed</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No testsuite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1100,13 +1155,13 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, GCC, Glibc, Grep, Make, Ncurses,
-         Patch, Sed and Texinfo</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
+         Patch, Sed, and Texinfo</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No testsuite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1128,5 +1183,5 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, GCC, Gettext, Glibc, Grep, Make,
-	 Sed and Texinfo</seg>
+         Sed, and Texinfo</seg>
         </seglistitem>
       </segmentedlist>
@@ -1144,5 +1199,5 @@
 
         <seglistitem>
-          <seg>E2fsprogs, File, Libtool and Shadow</seg>
+          <seg>E2fsprogs, File, Libtool, and Shadow</seg>
         </seglistitem>
       </segmentedlist>
@@ -1156,13 +1211,13 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, Diffutils, Findutils, Gawk, GCC,
-	 Gettext, Glibc, Grep, Make and Sed</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
+         Gettext, Glibc, Grep, Make, and Sed</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No testsuite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1183,13 +1238,13 @@
 
         <seglistitem>
-         <seg>Binutils, Coreutils, GCC, Glibc, Make and Patch</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
+         <seg>Binutils, Coreutils, GCC, Glibc, Make, and Patch</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No testsuite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1210,13 +1265,13 @@
 
         <seglistitem>
-         <seg>Binutils, Coreutils, GCC, Glibc, Make and Sed</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
+         <seg>Binutils, Coreutils, GCC, Glibc, Make, and Sed</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No testsuite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1237,14 +1292,14 @@
 
         <seglistitem>
-         <seg>Bash, Binutils, Bison, Bzip2, Coreutils, GCC, Gettext, Glibc,
-	 Grep, Gzip, Inetutils, Make, Patch, Sed and Texinfo</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>Diffutils, Findutils and Gawk</seg>
+         <seg>Bash, Binutils, Bison, Coreutils, GCC, Gettext, Glibc,
+         Grep, Inetutils, Make, Patch, Sed, and Texinfo</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>Diffutils, Findutils, and Gawk</seg>
         </seglistitem>
       </segmentedlist>
@@ -1266,5 +1321,5 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, Grep,
-	 Make and Sed</seg>
+         Make, and Sed</seg>
         </seglistitem>
       </segmentedlist>
@@ -1294,5 +1349,5 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, GCC, Gettext, Glibc, Grep, Make,
-	 Ncurses, Patch and Sed</seg>
+         Ncurses, Patch, and Sed</seg>
         </seglistitem>
       </segmentedlist>
@@ -1321,13 +1376,13 @@
 
         <seglistitem>
-         <seg>Binutils, Coreutils, GCC, Glibc and Make</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>Findutils, Perl, Sed and Tree</seg>
+         <seg>Binutils, Coreutils, GCC, Glibc, and Make</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>Findutils, Perl, and Sed</seg>
         </seglistitem>
       </segmentedlist>
@@ -1349,13 +1404,13 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, E2fprogs, GCC, Gettext, Glibc, Grep,
-	 Make, Ncurses, Patch, Sed and Zlib</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
+         Make, Ncurses, Patch, Sed, and Zlib</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No testsuite available</seg>
         </seglistitem>
       </segmentedlist>
@@ -1377,5 +1432,5 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, Grep, Make,
-	 Ncurses and Sed</seg>
+         Ncurses, and Sed</seg>
         </seglistitem>
       </segmentedlist>
@@ -1404,21 +1459,21 @@
 
         <seglistitem>
-         <seg>Bash, Binutils, Coreutils, GCC, Glibc, Grep, Make and Sed</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&before;</segtitle>
-
-        <seglistitem>
-          <seg>File, Module-Init-Tools and Util-Linux</seg>
+         <seg>Bash, Binutils, Coreutils, GCC, Glibc, Grep, Make, and Sed</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&before;</segtitle>
+
+        <seglistitem>
+          <seg>File, Module-Init-Tools, and Util-Linux</seg>
         </seglistitem>
       </segmentedlist>