Index: appendixa/autoconf-desc.xml
===================================================================
--- appendixa/autoconf-desc.xml	(revision 087e584f625ded123c5e6bc17d5c2ff1f5a8009c)
+++ appendixa/autoconf-desc.xml	(revision 978d0bffc413b67ead9db2d2816b916cf3d502ca)
@@ -4,48 +4,43 @@
 
 <para>(Last checked against version &autoconf-contversion;.)</para>
+
 <sect3><title>Program file descriptions</title>
-<sect4><title>autoconf</title>
-<para>autoconf is a tool for producing shell scripts that automatically
-configure software source code packages to adapt to many kinds of
-Unix-like systems. The configuration scripts produced by autoconf are
-independent of autoconf when they are run, so their users do not need to
-have autoconf.</para></sect4>
 
-<sect4><title>autoheader</title>
-<para>The autoheader program can create a template file of C #define
-statements for configure to use.</para></sect4>
+<para><command>autoconf</command> is a tool for producing shell scripts
+that automatically configure software source code packages to adapt to many
+kinds of Unix-like systems. The configuration scripts it produces are
+independent -- running them does not require the autoconf program.</para>
 
-<sect4><title>autom4te</title>
-<para>autom4te runs GNU M4 on files.</para></sect4>
+<para><command>autoheader</command> is a tool for creating template files
+of C #define statements for configure to use.</para>
 
-<sect4><title>autoreconf</title>
-<para>If there are a lot of autoconf-generated configure scripts, the
-autoreconf program can save some work. It runs autoconf and
-autoheader (where appropriate) repeatedly to remake the autoconf
-configure scripts and configuration header templates in the directory
-tree rooted at the current directory.</para></sect4>
+<para><command>autom4te</command> is a wrapper for the M4 macro
+processor.</para>
 
-<sect4><title>autoscan</title>
-<para>The autoscan program can help to create a configure.in file for
-a software package. autoscan examines the source files in a directory
-tree. If a directory is not specified on the command line, then the
-current working directory is used. The source files are searched for
-common portability problems and a configure.scan file is created to
-serve as the preliminary configure.in for that package.</para></sect4>
+<para><command>autoreconf</command> comes in handy when there are a lot
+of autoconf-generated configure scripts around. The program runs autoconf and
+autoheader repeatedly (where appropriate) to remake the autoconf configure
+scripts and configuration header templates in a given directory tree.</para>
 
-<sect4><title>autoupdate</title>
-<para>The autoupdate program updates a configure.in file that calls
-autoconf macros by their old names to use the current
-macro names.</para></sect4>
+<para><command>autoscan</command> can help to create a
+<filename>configure.in</filename> file for a software package. It examines
+the source files in a directory tree, searching them for common portability
+problems and creates a <filename>configure.scan</filename> file that serves as
+as a preliminary <filename>configure.in</filename> for the package.</para>
 
-<sect4><title>ifnames</title>
-<para>ifnames can help when writing a configure.in for a software
-package. It prints the identifiers that the package already uses in C
-preprocessor conditionals. If a package has already been set up to
-have some portability, this program can help to determine what configure
-needs to check. It may fill in some gaps in a configure.in file generated
-by autoscan.</para></sect4>
+<para><command>autoupdate</command> modifies a 
+<filename>configure.in</filename> file that still calls autoconf macros
+by their old names to use the current macro names.</para>
+
+<para><command>ifnames</command> can be helpful when writing a
+<filename>configure.in</filename> for a software package. It prints the
+identifiers that the package uses in C preprocessor conditionals. If a package
+has already been set up to have some portability, this program can help to
+determine what <userinput>configure</userinput> needs to check. It can fill
+in some gaps in a <filename>configure.in</filename> file generated by
+autoscan.</para>
 
 </sect3>
 
 </sect2>
+