Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision ea57e1b0d1a4372b2e310e04c73d4a0dfa3c0c1d)
+++ chapter01/changelog.xml	(revision 987aa009028dc0e036b3f40b70452f2fa9161a0c)
@@ -10,5 +10,5 @@
 <itemizedlist>
 
-<listitem><para>MAKEDEV-1-1</para></listitem> 
+<listitem><para>MAKEDEV-1.2</para></listitem> 
 <listitem><para>autoconf-2.52</para></listitem>
 <listitem><para>automake-1.4-p5</para></listitem>
Index: chapter06/makedev-exp.xml
===================================================================
--- chapter06/makedev-exp.xml	(revision ea57e1b0d1a4372b2e310e04c73d4a0dfa3c0c1d)
+++ chapter06/makedev-exp.xml	(revision 987aa009028dc0e036b3f40b70452f2fa9161a0c)
@@ -5,5 +5,7 @@
 devices. Normally, these devices are all the devices you need. It's possible 
 that you are missing some special devices that are needed for your hardware
-configuration. Create them with ./MAKEDEV -v &lt;device&gt;.</para>
+configuration. Create them with ./MAKEDEV -v &lt;device&gt;.  
+The <userinput>generic-nopty</userinput> option does a similar job but skips
+some devices which are not needed if you are using devpts.</para>
 
 </sect2>
Index: chapter06/makedev-inst.xml
===================================================================
--- chapter06/makedev-inst.xml	(revision ea57e1b0d1a4372b2e310e04c73d4a0dfa3c0c1d)
+++ chapter06/makedev-inst.xml	(revision 987aa009028dc0e036b3f40b70452f2fa9161a0c)
@@ -9,8 +9,22 @@
 <para><screen><userinput>cp MAKEDEV-1.1 /dev/MAKEDEV &amp;&amp;</userinput>
 <userinput>cd /dev &amp;&amp;</userinput>
-<userinput>chmod 755 MAKEDEV &amp;&amp;</userinput>
-<userinput>./MAKEDEV -v generic</userinput></screen></para>
+<userinput>chmod 755 MAKEDEV</userinput></screen></para>
 
-<para>MAKEDEV will create hda[1-20] and hdb[1-20] and such but keep in mind
+<para>Now, depending on whether you are going to use devpts or not, you
+can run one of two commands:</para>
+
+<para>If you do not intend to use devpts, run:</para>
+<para><userinput>./MAKEDEV -v generic</userinput></para>
+
+<para>If you do intend to use devpts, then run:</para>
+<para><userinput>./MAKEDEV -v generic-nopty</userinput></para>
+
+<para>Note that if you aren't sure, it's best to use 
+the <userinput>./MAKEDEV -v generic</userinput> command as this will
+ensure you have the devices you need.  If you are sure you are going to
+use devpts however, the other command makes sure that you don't create a
+set of devices which you don't require.</para>
+
+<para>MAKEDEV will create hda[1-20] to hdh[1-20] and such but keep in mind
 that you may not be able to use all of those devices due to kernel 
 limitations regarding the max. number of partitions.</para>
Index: chapter08/fstab.xml
===================================================================
--- chapter08/fstab.xml	(revision ea57e1b0d1a4372b2e310e04c73d4a0dfa3c0c1d)
+++ chapter08/fstab.xml	(revision 987aa009028dc0e036b3f40b70452f2fa9161a0c)
@@ -30,4 +30,18 @@
 file, see <userinput>man 5 fstab</userinput>.</para>
 
+<para>There are other lines which you may consider adding to your fstab
+file.  One example is the line which you must have if you are using
+devpts, note that you must also create the /dev/pts directory for this
+to work:</para>
+<para><screen>none		/dev/pts	devpts   gid=4,mode=620  0 0</screen></para> 
+
+<para>Another example is a line to use if you intend to use USB
+devices.  This time, you don't create the directory as it's part of the
+proc virtual filesystem:</para>
+<para><screen>none		/proc/bus/usb	usbdevfs defaults        0 0</screen></para>
+
+<para>Both of these options will only work if you have the relevant
+support compiled into your kernel.</para>
+
 </sect1>
 
Index: index.xml
===================================================================
--- index.xml	(revision ea57e1b0d1a4372b2e310e04c73d4a0dfa3c0c1d)
+++ index.xml	(revision 987aa009028dc0e036b3f40b70452f2fa9161a0c)
@@ -518,5 +518,5 @@
 <!ENTITY ac-nettools SYSTEM "appendixc/nettools.xml">
 
-<!ENTITY all-version "cvs-20010816-1400">
+<!ENTITY all-version "cvs-20010816-1530">
 <!ENTITY all-size-kb "77,660 KB">
 <!ENTITY all-size-mb "75.84 MB">
@@ -659,5 +659,5 @@
 <!ENTITY glibc-time "46 minutes">
 
-<!ENTITY makedev-version "1.1">
+<!ENTITY makedev-version "1.2">
 <!ENTITY makedev-size "7 KB">
 <!ENTITY makedev-compsize "57 KB">