Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision cdf7a686d7d1c69fac808a89c8120a276a174b5f)
+++ chapter01/changelog.xml	(revision 1263de24b91da3f03775e358e8efe4f4820b4a56)
@@ -44,4 +44,30 @@
     -->
 
+    <listitem>
+      <para>2019-03-12</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to meson-0.50.0. Fixes
+          <ulink url="&lfs-ticket-root;4442">#4442</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to coreutils-8.31. Fixes
+          <ulink url="&lfs-ticket-root;4441">#4441</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.0.1. Fixes
+          <ulink url="&lfs-ticket-root;4440">#4440</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to man-pages-5.00. Fixes
+          <ulink url="&lfs-ticket-root;4439">#4439</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to e2fsprogs-1.45.0. Fixes
+          <ulink url="&lfs-ticket-root;4438">#4438</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem revision="systemd">
       <para>2019-03-08</para>
@@ -77,5 +103,5 @@
       <listitem revision='sysv'>
         <para>[bdubbs] - Update to sysvinit-2.94. Fixes
-        <ulink url="&lfs-ticket-root;4433">#4433</ulink>.</para>
+        <ulink url="&lfs-ticket-root;4432">#4432</ulink>.</para>
       </listitem>
       <listitem>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision cdf7a686d7d1c69fac808a89c8120a276a174b5f)
+++ chapter01/whatsnew.xml	(revision 1263de24b91da3f03775e358e8efe4f4820b4a56)
@@ -57,7 +57,7 @@
       <para>Check-&check-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Coreutils-&coreutils-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>DejaGNU-&dejagnu-version;</para>
@@ -72,7 +72,7 @@
       <para>Eudev-&eudev-version;</para>
    </listitem>-->
-   <!--<listitem>
+   <listitem>
       <para>E2fsprogs-&e2fsprogs-version;</para>
-   </listitem>-->
+   </listitem>
    <!--<listitem>
       <para>Expat-&expat-version;</para>
@@ -171,10 +171,10 @@
       <para>Man-DB-&man-db-version;</para>
    </listitem>-->
-   <!--<listitem>
+   <listitem>
       <para>Man-pages-&man-pages-version;</para>
-   </listitem>-->
-   <!--<listitem>
+   </listitem>
+   <listitem>
       <para>Meson-&meson-version;</para>
-   </listitem>-->
+   </listitem>
    <!-- <listitem>
       <para>MPC-&mpc-version;</para>
Index: chapter06/e2fsprogs.xml
===================================================================
--- chapter06/e2fsprogs.xml	(revision cdf7a686d7d1c69fac808a89c8120a276a174b5f)
+++ chapter06/e2fsprogs.xml	(revision 1263de24b91da3f03775e358e8efe4f4820b4a56)
@@ -49,5 +49,5 @@
 
 <screen><userinput remap="pre">mkdir -v build
-cd build</userinput></screen>
+cd       build</userinput></screen>
 
     <para>Prepare E2fsprogs for compilation:</para>
Index: general.ent
===================================================================
--- general.ent	(revision cdf7a686d7d1c69fac808a89c8120a276a174b5f)
+++ general.ent	(revision 1263de24b91da3f03775e358e8efe4f4820b4a56)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20190308">
+<!ENTITY version         "SVN-20190312">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20190308-systemd">
+<!ENTITY versiond        "20190312-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "March 8, 2019">
+<!ENTITY releasedate     "March 12, 2019">
 
 <!ENTITY copyrightdate   "1999-2019"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision cdf7a686d7d1c69fac808a89c8120a276a174b5f)
+++ packages.ent	(revision 1263de24b91da3f03775e358e8efe4f4820b4a56)
@@ -109,8 +109,8 @@
 <!ENTITY check-ch5-sbu "0.1 SBU (about 3.0 SBU with tests)">
 
-<!ENTITY coreutils-version "8.30">
-<!ENTITY coreutils-size "5,234 KB">
+<!ENTITY coreutils-version "8.31">
+<!ENTITY coreutils-size "5,284 KB">
 <!ENTITY coreutils-url "&gnu;coreutils/coreutils-&coreutils-version;.tar.xz">
-<!ENTITY coreutils-md5 "ab06d68949758971fe744db66b572816">
+<!ENTITY coreutils-md5 "0009a224d8e288e8ec406ef0161f9293">
 <!ENTITY coreutils-home "&gnu-software;coreutils/">
 <!ENTITY coreutils-ch5-du "148 MB">
@@ -145,8 +145,8 @@
 <!ENTITY diffutils-ch6-sbu "0.3 SBU">
 
-<!ENTITY e2fsprogs-version "1.44.5">
-<!ENTITY e2fsprogs-size "7,448 KB">
+<!ENTITY e2fsprogs-version "1.45.0">
+<!ENTITY e2fsprogs-size "7,637 KB">
 <!ENTITY e2fsprogs-url "https://downloads.sourceforge.net/project/e2fsprogs/e2fsprogs/v&e2fsprogs-version;/e2fsprogs-&e2fsprogs-version;.tar.gz">
-<!ENTITY e2fsprogs-md5 "8d78b11d04d26c0b2dd149529441fa80">
+<!ENTITY e2fsprogs-md5 "641e1371dbdd118eade96bb963104f16">
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
 <!ENTITY e2fsprogs-ch6-du "96 MB">
@@ -424,10 +424,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "0">
-<!ENTITY linux-patch-version "0">
-<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">
-<!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">-->
-<!ENTITY linux-size "102,769 KB">
+<!ENTITY linux-patch-version "1">
+<!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
+<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
+<!ENTITY linux-size "102,765 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "7381ce8aac80a01448e065ce795c19c0">
+<!ENTITY linux-md5 "9b668e28c76f09be1a65040ec09598a1">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -470,16 +470,16 @@
 <!ENTITY man-db-ch6-sbu "0.3 SBU">
 
-<!ENTITY man-pages-version "4.16">
-<!ENTITY man-pages-size "1,592 KB">
+<!ENTITY man-pages-version "5.00">
+<!ENTITY man-pages-size "1,621 KB">
 <!ENTITY man-pages-url "&kernel;linux/docs/man-pages/man-pages-&man-pages-version;.tar.xz">
-<!ENTITY man-pages-md5 "ad9f1ff81276fe8d90d077484d6d4b5e">
+<!ENTITY man-pages-md5 "d3be22b49e52d93734343c0df52dad01">
 <!ENTITY man-pages-home "https://www.kernel.org/doc/man-pages/">
 <!ENTITY man-pages-ch6-du "28 MB">
 <!ENTITY man-pages-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.49.2">
-<!ENTITY meson-size "1,310 KB">
+<!ENTITY meson-version "0.50.0">
+<!ENTITY meson-size "1,367 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "0267b0871266056184c484792572c682">
+<!ENTITY meson-md5 "433483107fda4616eaf33de7e7083a84">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-ch6-du "24 MB">