Index: chapter05/adjusting.xml
===================================================================
--- chapter05/adjusting.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/adjusting.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/bash.xml
===================================================================
--- chapter05/bash.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/bash.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/binutils-pass1.xml
===================================================================
--- chapter05/binutils-pass1.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/binutils-pass1.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/binutils-pass2.xml
===================================================================
--- chapter05/binutils-pass2.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/binutils-pass2.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/bison.xml
===================================================================
--- chapter05/bison.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/bison.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/bzip2.xml
===================================================================
--- chapter05/bzip2.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/bzip2.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/chapter05.xml
===================================================================
--- chapter05/chapter05.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/chapter05.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/coreutils.xml
===================================================================
--- chapter05/coreutils.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/coreutils.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/dejagnu.xml
===================================================================
--- chapter05/dejagnu.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/dejagnu.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/diffutils.xml
===================================================================
--- chapter05/diffutils.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/diffutils.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/expect.xml
===================================================================
--- chapter05/expect.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/expect.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/findutils.xml
===================================================================
--- chapter05/findutils.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/findutils.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/flex.xml
===================================================================
--- chapter05/flex.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/flex.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/gawk.xml
===================================================================
--- chapter05/gawk.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/gawk.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/gcc-pass1.xml
===================================================================
--- chapter05/gcc-pass1.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/gcc-pass1.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/gcc-pass2.xml
===================================================================
--- chapter05/gcc-pass2.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/gcc-pass2.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/gettext.xml
===================================================================
--- chapter05/gettext.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/gettext.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/glibc.xml
===================================================================
--- chapter05/glibc.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/glibc.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/grep.xml
===================================================================
--- chapter05/grep.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/grep.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/gzip.xml
===================================================================
--- chapter05/gzip.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/gzip.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/hostreqs.xml
===================================================================
--- chapter05/hostreqs.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/hostreqs.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/introduction.xml
===================================================================
--- chapter05/introduction.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/introduction.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/linux-libc-headers.xml
===================================================================
--- chapter05/linux-libc-headers.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/linux-libc-headers.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/m4.xml
===================================================================
--- chapter05/m4.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/m4.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/make.xml
===================================================================
--- chapter05/make.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/make.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/ncurses.xml
===================================================================
--- chapter05/ncurses.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/ncurses.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/patch.xml
===================================================================
--- chapter05/patch.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/patch.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/perl.xml
===================================================================
--- chapter05/perl.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/perl.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/sed.xml
===================================================================
--- chapter05/sed.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/sed.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/stripping.xml
===================================================================
--- chapter05/stripping.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/stripping.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/tar.xml
===================================================================
--- chapter05/tar.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/tar.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/tcl.xml
===================================================================
--- chapter05/tcl.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/tcl.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/texinfo.xml
===================================================================
--- chapter05/texinfo.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/texinfo.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/toolchaintechnotes.xml
===================================================================
--- chapter05/toolchaintechnotes.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/toolchaintechnotes.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
Index: chapter05/util-linux.xml
===================================================================
--- chapter05/util-linux.xml	(revision 4aeea5530b1436671a0cdfc38777dc32e2b8ab13)
+++ chapter05/util-linux.xml	(revision 1609da857ec20ca3601afb7c1023475d405eac2a)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;