Index: chapter06/hotplug.xml
===================================================================
--- chapter06/hotplug.xml	(revision 74441fcc969c5c020979cba052d76718bea96fb1)
+++ chapter06/hotplug.xml	(revision 2541f7336723b624819147f8fe48c51b54d45160)
@@ -80,9 +80,9 @@
 <term><command>hotplug</command></term>
 <listitem>
-<indexterm zone="ch-system-hotplug hotplug"><primary
-sortas="b-hotplug">hotplug</primary></indexterm>
 <para>This script is called by default by the Linux kernel when something
 changes in its internal state (e.g., a new device is added or an existing device
 is removed)</para>
+<indexterm zone="ch-system-hotplug hotplug"><primary
+sortas="b-hotplug">hotplug</primary></indexterm>
 </listitem>
 </varlistentry>
@@ -91,6 +91,4 @@
 <term><command>/etc/hotplug/*.rc</command></term>
 <listitem>
-<indexterm zone="ch-system-hotplug hotplug-rc"><primary
-sortas="d-/etc/hotplug/*.rc">/etc/hotplug/*.rc</primary></indexterm>
 <para>These scripts are used for cold plugging, i.e., detecting and acting upon
 hardware already present during system startup.  They are called by the
@@ -99,4 +97,6 @@
 were lost during system boot because, for example, the root filesystem was not
 mounted by the kernel</para>
+<indexterm zone="ch-system-hotplug hotplug-rc"><primary
+sortas="d-/etc/hotplug/*.rc">/etc/hotplug/*.rc</primary></indexterm>
 </listitem>
 </varlistentry>
@@ -105,10 +105,10 @@
 <term><command>/etc/hotplug/*.agent</command></term>
 <listitem>
-<indexterm zone="ch-system-hotplug hotplug-agent"><primary
-sortas="d-/etc/hotplug/*.agent">/etc/hotplug/*.agent</primary></indexterm>
 <para>These scripts are called by <command>hotplug</command>
 in response to different types of hotplug events generated by the kernel.
 Their action is to insert corresponding kernel modules and call any
 user-provided scripts</para>
+<indexterm zone="ch-system-hotplug hotplug-agent"><primary
+sortas="d-/etc/hotplug/*.agent">/etc/hotplug/*.agent</primary></indexterm>
 </listitem>
 </varlistentry>
@@ -117,8 +117,8 @@
 <term><filename>/etc/hotplug/blacklist</filename></term>
 <listitem>
+<para>This file contains the list of modules that should never be inserted into
+the kernel by the Hotplug scripts</para>
 <indexterm zone="ch-system-hotplug hotplug-blacklist"><primary
 sortas="e-/etc/hotplug/blacklist">/etc/hotplug/blacklist</primary></indexterm>
-<para>This file contains the list of modules that should never be inserted into
-the kernel by the Hotplug scripts</para>
 </listitem>
 </varlistentry>
@@ -127,8 +127,8 @@
 <term><filename>/etc/hotplug/hotplug.functions</filename></term>
 <listitem>
+<para>This file contains common functions used by other scripts in the Hotplug
+package</para>
 <indexterm zone="ch-system-hotplug hotplug-functions"><primary
 sortas="e-/etc/hotplug/hotplug.functions">/etc/hotplug/hotplug.functions</primary></indexterm>
-<para>This file contains common functions used by other scripts in the Hotplug
-package</para>
 </listitem>
 </varlistentry>
@@ -137,7 +137,7 @@
 <term><filename class="directory">/etc/hotplug/{pci,usb}</filename></term>
 <listitem>
+<para>These directories contain user-written handlers for hotplug events</para>
 <indexterm zone="ch-system-hotplug hotplug-subdirs"><primary
 sortas="e-/etc/hotplug/{pci,usb}">/etc/hotplug/{pci,usb}</primary></indexterm>
-<para>These directories contain user-written handlers for hotplug events</para>
 </listitem>
 </varlistentry>
@@ -146,8 +146,8 @@
 <term><filename>/etc/hotplug/usb.usermap</filename></term>
 <listitem>
+<para>This file contains rules that determine which user-defined handlers to
+call for each USB device, based on its vendor ID and other attributes</para>
 <indexterm zone="ch-system-hotplug hotplug-usb.usermap"><primary
 sortas="e-/etc/hotplug/usb.usermap">/etc/hotplug/usb.usermap</primary></indexterm>
-<para>This file contains rules that determine which user-defined handlers to
-call for each USB device, based on its vendor ID and other attributes</para>
 </listitem>
 </varlistentry>
@@ -156,9 +156,9 @@
 <term><filename class="directory">/etc/hotplug.d</filename></term>
 <listitem>
-<indexterm zone="ch-system-hotplug hotplug-hotplug.d"><primary
-sortas="e-/etc/hotplug.d">/etc/hotplug.d</primary></indexterm>
 <para>This directory contains programs (or symlinks to them) that are interested
 in receiving hotplug events. For example, <application>Udev</application> puts
 its symlink here during installation</para>
+<indexterm zone="ch-system-hotplug hotplug-hotplug.d"><primary
+sortas="e-/etc/hotplug.d">/etc/hotplug.d</primary></indexterm>
 </listitem>
 </varlistentry>
@@ -167,8 +167,8 @@
 <term><filename class="directory">/lib/firmware</filename></term>
 <listitem>
+<para>This directory contains the firmware for devices that need to have their
+firmware loaded before use</para>
 <indexterm zone="ch-system-hotplug hotplug-firmware"><primary
 sortas="e-/lib/firmware">/lib/firmware</primary></indexterm>
-<para>This directory contains the firmware for devices that need to have their
-firmware loaded before use</para>
 </listitem>
 </varlistentry>
@@ -177,8 +177,8 @@
 <term><filename>/var/log/hotplug/events</filename></term>
 <listitem>
+<para>This file contains all the events that <command>hotplug</command> has
+called since bootup</para>
 <indexterm zone="ch-system-hotplug hotplug-events"><primary
 sortas="e-/var/log/hotplug/events">/var/log/hotplug/events</primary></indexterm>
-<para>This file contains all the events that <command>hotplug</command> has
-called since bootup</para>
 </listitem>
 </varlistentry>