Index: bootscripts/ChangeLog
===================================================================
--- bootscripts/ChangeLog	(revision a892a142e5d2e0c3f7a37ff6c28a552f6a7bceb8)
+++ bootscripts/ChangeLog	(revision 02776dffe135111ad7080784e6d00a83f8396bb8)
@@ -1,2 +1,5 @@
+2021-01-13 Xi Ruoyao <xry111@mengyan1223.wang>
+   * Use /run instead of deprecated /var/run
+
 2020-10-02 DJ Lucas <dj@linuxfromscratch.org>
    * make $local_fs a Should-Stop dependency of swap to allow clean install
Index: bootscripts/lfs/init.d/cleanfs
===================================================================
--- bootscripts/lfs/init.d/cleanfs	(revision a892a142e5d2e0c3f7a37ff6c28a552f6a7bceb8)
+++ bootscripts/lfs/init.d/cleanfs	(revision 02776dffe135111ad7080784e6d00a83f8396bb8)
@@ -22,6 +22,6 @@
 # Default-Stop:
 # Short-Description:   Cleans temporary directories early in the boot process.
-# Description:         Cleans temporary directories /var/run, /var/lock, and
-#                      optionally, /tmp.  cleanfs also creates /var/run/utmp 
+# Description:         Cleans temporary directories /run, /var/lock, and
+#                      optionally, /tmp.  cleanfs also creates /run/utmp 
 #                      and any files defined in /etc/sysconfig/createfiles.
 # X-LFS-Provided-By:   LFS
@@ -96,9 +96,9 @@
       fi
 
-      > /var/run/utmp
+      > /run/utmp
 
       if grep -q '^utmp:' /etc/group ; then
-         chmod 664 /var/run/utmp
-         chgrp utmp /var/run/utmp
+         chmod 664 /run/utmp
+         chgrp utmp /run/utmp
       fi
 
Index: bootscripts/lfs/init.d/rc
===================================================================
--- bootscripts/lfs/init.d/rc	(revision a892a142e5d2e0c3f7a37ff6c28a552f6a7bceb8)
+++ bootscripts/lfs/init.d/rc	(revision 02776dffe135111ad7080784e6d00a83f8396bb8)
@@ -143,5 +143,5 @@
 
 # Read the state file if it exists from runlevel S
-[ -r /var/run/interactive ] && source /var/run/interactive
+[ -r /run/interactive ] && source /run/interactive
 
 # Attempt to stop all services started by the previous runlevel,
@@ -218,7 +218,7 @@
 # Store interactive variable on switch from runlevel S and remove if not
 if [ "${runlevel}" == "S" -a "${interactive}" == "i" ]; then
-    echo "interactive=\"i\"" > /var/run/interactive
+    echo "interactive=\"i\"" > /run/interactive
 else
-    rm -f /var/run/interactive 2> /dev/null
+    rm -f /run/interactive 2> /dev/null
 fi
 
Index: bootscripts/lfs/lib/services/init-functions
===================================================================
--- bootscripts/lfs/lib/services/init-functions	(revision a892a142e5d2e0c3f7a37ff6c28a552f6a7bceb8)
+++ bootscripts/lfs/lib/services/init-functions	(revision 02776dffe135111ad7080784e6d00a83f8396bb8)
@@ -359,6 +359,6 @@
             progname=`echo "${program}" | sed "s@${prefix}@@"`
 
-            if [ -e "/var/run/${progname}.pid" ]; then
-                rm -f "/var/run/${progname}.pid" 2> /dev/null
+            if [ -e "/run/${progname}.pid" ]; then
+                rm -f "/run/${progname}.pid" 2> /dev/null
             fi
         else
@@ -435,6 +435,6 @@
 
         # If a PID file exists with that name, assume that is it.
-        if [ -e "/var/run/${progname}.pid" ]; then
-            pidfile="/var/run/${progname}.pid"
+        if [ -e "/run/${progname}.pid" ]; then
+            pidfile="/run/${progname}.pid"
         fi
     fi
@@ -529,7 +529,7 @@
          "ID(s) ${pidlist}.${NORMAL}"
    else
-      if [ -n "${base}" -a -e "/var/run/${base}.pid" ]; then
+      if [ -n "${base}" -a -e "/run/${base}.pid" ]; then
          /bin/echo -e "${WARNING}${1} is not running but" \
-            "/var/run/${base}.pid exists.${NORMAL}"
+            "/run/${base}.pid exists.${NORMAL}"
       else
          if [ -n "${pidfile}" -a -e "${pidfile}" ]; then
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision a892a142e5d2e0c3f7a37ff6c28a552f6a7bceb8)
+++ chapter01/changelog.xml	(revision 02776dffe135111ad7080784e6d00a83f8396bb8)
@@ -44,4 +44,20 @@
     -->
     <listitem>
+      <para>2021-01-13</para>
+      <itemizedlist>
+        <listitem revision="systemd">
+          <para>[xry111] - Fix util-linux uuidd socket path.</para>
+        </listitem>
+        <listitem>
+          <para>[xry111] - Remove various references to deprecated
+          /var/run, use /run insteadly.</para>
+        </listitem>
+        <listitem revision="sysv">
+          <para>[xry111] - Update to lfs-bootscripts-20210113.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <itemizedlist>
       <para>2021-01-01</para>
Index: chapter07/createfiles.xml
===================================================================
--- chapter07/createfiles.xml	(revision a892a142e5d2e0c3f7a37ff6c28a552f6a7bceb8)
+++ chapter07/createfiles.xml	(revision 02776dffe135111ad7080784e6d00a83f8396bb8)
@@ -20,5 +20,5 @@
 
   <indexterm zone="ch-tools-createfiles">
-    <primary sortas="e-/var/run/utmp">/var/run/utmp</primary>
+    <primary sortas="e-/run/utmp">/run/utmp</primary>
   </indexterm>
 
@@ -70,5 +70,5 @@
 bin:x:1:1:bin:/dev/null:/bin/false
 daemon:x:6:6:Daemon User:/dev/null:/bin/false
-messagebus:x:18:18:D-Bus Message Daemon User:/var/run/dbus:/bin/false
+messagebus:x:18:18:D-Bus Message Daemon User:/run/dbus:/bin/false
 systemd-bus-proxy:x:72:72:systemd Bus Proxy:/:/bin/false
 systemd-journal-gateway:x:73:73:systemd Journal Gateway:/:/bin/false
Index: chapter07/util-linux.xml
===================================================================
--- chapter07/util-linux.xml	(revision a892a142e5d2e0c3f7a37ff6c28a552f6a7bceb8)
+++ chapter07/util-linux.xml	(revision 02776dffe135111ad7080784e6d00a83f8396bb8)
@@ -59,5 +59,6 @@
             --disable-pylibmount \
             --disable-static     \
-            --without-python</userinput></screen>
+            --without-python     \
+            runstatedir=/run</userinput></screen>
 
     <variablelist>
@@ -91,4 +92,13 @@
       </varlistentry>
 
+      <varlistentry>
+        <term><parameter>runstatedir=/run</parameter></term>
+        <listitem>
+          <para>This switch sets the location of the socket used by
+          <command>uuidd</command> and
+          <filename class="libraryfile">libuuid</filename> correctly.</para>
+        </listitem>
+      </varlistentry>
+
      </variablelist>
 
Index: chapter08/systemd.xml
===================================================================
--- chapter08/systemd.xml	(revision a892a142e5d2e0c3f7a37ff6c28a552f6a7bceb8)
+++ chapter08/systemd.xml	(revision 02776dffe135111ad7080784e6d00a83f8396bb8)
@@ -473,5 +473,5 @@
         <listitem>
           <para>Outputs the previous and the current run-level, as noted in the
-          last run-level record in <filename>/var/run/utmp</filename></para>
+          last run-level record in <filename>/run/utmp</filename></para>
           <indexterm zone="ch-system-systemd runlevel">
             <primary sortas="b-runlevel">runlevel</primary>
Index: chapter08/sysvinit.xml
===================================================================
--- chapter08/sysvinit.xml	(revision a892a142e5d2e0c3f7a37ff6c28a552f6a7bceb8)
+++ chapter08/sysvinit.xml	(revision 02776dffe135111ad7080784e6d00a83f8396bb8)
@@ -186,5 +186,5 @@
         <listitem>
           <para>Reports the previous and the current run-level, as noted in the
-          last run-level record in <filename>/var/run/utmp</filename></para>
+          last run-level record in <filename>/run/utmp</filename></para>
           <indexterm zone="ch-system-sysvinit runlevel-sysv">
             <primary sortas="b-runlevel">runlevel</primary>
Index: chapter08/util-linux.xml
===================================================================
--- chapter08/util-linux.xml	(revision a892a142e5d2e0c3f7a37ff6c28a552f6a7bceb8)
+++ chapter08/util-linux.xml	(revision 02776dffe135111ad7080784e6d00a83f8396bb8)
@@ -77,5 +77,6 @@
             --disable-pylibmount \
             --disable-static     \
-            --without-python</userinput></screen>
+            --without-python     \
+            runstatedir=/run</userinput></screen>
 
     <para>The --disable and --without options prevent warnings about
Index: chapter09/bootscripts.xml
===================================================================
--- chapter09/bootscripts.xml	(revision a892a142e5d2e0c3f7a37ff6c28a552f6a7bceb8)
+++ chapter09/bootscripts.xml	(revision 02776dffe135111ad7080784e6d00a83f8396bb8)
@@ -86,7 +86,7 @@
         <listitem>
           <para>Removes files that should not be preserved between reboots, such
-          as those in <filename class="directory">/var/run/</filename> and
+          as those in <filename class="directory">/run/</filename> and
           <filename class="directory">/var/lock/</filename>; it re-creates
-          <filename>/var/run/utmp</filename> and removes the possibly present
+          <filename>/run/utmp</filename> and removes the possibly present
           <filename>/etc/nologin</filename>, <filename>/fastboot</filename>, and
           <filename>/forcefsck</filename> files</para>
Index: general.ent
===================================================================
--- general.ent	(revision a892a142e5d2e0c3f7a37ff6c28a552f6a7bceb8)
+++ general.ent	(revision 02776dffe135111ad7080784e6d00a83f8396bb8)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20210101">
+<!ENTITY version         "SVN-20210113">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20210101-systemd">
+<!ENTITY versiond        "20210113-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "January 1st, 2021">
+<!ENTITY releasedate     "January 13th, 2021">
 
 <!ENTITY copyrightdate   "1999-2021"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision a892a142e5d2e0c3f7a37ff6c28a552f6a7bceb8)
+++ packages.ent	(revision 02776dffe135111ad7080784e6d00a83f8396bb8)
@@ -376,5 +376,5 @@
 <!ENTITY less-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY lfs-bootscripts-version "20201019">      <!-- Scripts depend on this format -->
+<!ENTITY lfs-bootscripts-version "20210113">      <!-- Scripts depend on this format -->
 <!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB">        
 <!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.xz">