Index: chapter01/askforhelp.xml
===================================================================
--- chapter01/askforhelp.xml	(revision 5b7293ab71a253046b37850efe349b15692ad4fd)
+++ chapter01/askforhelp.xml	(revision 02974d8f1b3545815123a71af984aa9dc45d19ae)
@@ -1,12 +1,16 @@
 <sect1 id="prepare-askforhelp">
 <title>How to ask for help</title>
-<?dbhtml filename="askforhelp.html" dir="chapter02"?>
+<?dbhtml filename="askforhelp.html" dir="chapter01"?>
 
-<para>If you encounter a problem while using this book, and your problem
-is not listed in the FAQ (<ulink url="&faq-root;"/>), you will find that
-most of the people on Internet Relay Chat (IRC) and on the mailing lists
-are willing to help you (see <xref linkend="ch-scatter-administrativa"/>.
-To assist us in diagnosing and solving your problem, include as much relevant
-information as possible in your request for help.</para>
+<para>If you run into a problem while working through this book, you should
+first check the FAQ at <ulink url="&faq-root;"/> -- most likely your question
+is already answered there. If it is not, you should try to find the source of
+the problem. The following hint might give you some ideas for your
+troubleshooting: <ulink url="&hints-root;errors.txt"/>.</para>
+
+<para>If all that fails, you will find that most people on IRC and the mailing
+lists (see <xref linkend="ch-scatter-administrativa"/>) are willing to help
+you. But to assist them in diagnosing and solving your problem, please include
+all relevant information in your request for help.</para>
 
 <sect2>
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 5b7293ab71a253046b37850efe349b15692ad4fd)
+++ chapter01/changelog.xml	(revision 02974d8f1b3545815123a71af984aa9dc45d19ae)
@@ -37,6 +37,6 @@
 </listitem>
 
-<listitem><para>March 9th, 2004 [alex]: Chapter 6 - Removed HOME and --login
-from the chroot commands.</para></listitem>
+<listitem><para>March 9th, 2004 [alex]: Chapter 6 - Removed --login from the
+chroot commands.</para></listitem>
 
 <listitem><para>March 6th, 2004 [alex]: Rotated the contents of chapters 2, 3
Index: apter02/askforhelp.xml
===================================================================
--- chapter02/askforhelp.xml	(revision 5b7293ab71a253046b37850efe349b15692ad4fd)
+++ 	(revision )
@@ -1,104 +1,0 @@
-<sect1 id="prepare-askforhelp">
-<title>How to ask for help</title>
-<?dbhtml filename="askforhelp.html" dir="chapter02"?>
-
-<para>If you encounter a problem while using this book, and your problem
-is not listed in the FAQ (<ulink url="&faq-root;"/>), you will find that
-most of the people on Internet Relay Chat (IRC) and on the mailing lists
-are willing to help you. An overview of the LFS mailing lists can be
-found via <xref linkend="ch-scatter-maillists"/>. To assist us in
-diagnosing and solving your problem, include as much relevant
-information as possible in your request for help.</para>
-
-<sect2>
-<title>Things to mention</title>
- 
-<para>Apart from a brief explanation of the problem you're having, the
-essential things to include in your request are:</para>
-
-<itemizedlist>
-<listitem><para>the version of the book you are using (being &version;),</para></listitem>
-<listitem><para>the host distribution and version you are using to create
-LFS from,</para></listitem>
-<listitem><para>the package or section giving you problems,</para></listitem>
-<listitem><para>the exact error message or symptom you are receiving,</para></listitem>
-<listitem><para>whether you have deviated from the book at all.</para></listitem>
-</itemizedlist>
-
-<para>(Note that saying that you've deviated from the book doesn't mean
-that we won't help you. After all, LFS is about choice. It'll just
-help us to see other possible causes of your problem.)</para>
-
-</sect2>
-
-<sect2>
-<title>Configure problems</title>
-
-<para>When something goes wrong during the stage where the configure script
-is run, look through the <filename>config.log</filename> file. This file
-may contain errors encountered during configure which weren't printed to
-the screen. Include those relevant lines if you decide to ask for
-help.</para>
-
-</sect2>
-
-<sect2>
-<title>Compile problems</title>
-
-<para>To help us find the cause of the problem, both screen output and
-the contents of various files are useful. The screen output from both
-the ./configure script and the make run can be useful. Don't blindly
-include the whole thing but on the other hand, don't include too little.
-As an example, here is some screen output from make:</para>
-
-<screen>gcc -DALIASPATH=\"/mnt/lfs/usr/share/locale:.\"
--DLOCALEDIR=\"/mnt/lfs/usr/share/locale\" -DLIBDIR=\"/mnt/lfs/usr/lib\"
--DINCLUDEDIR=\"/mnt/lfs/usr/include\" -DHAVE_CONFIG_H -I. -I.
--g -O2 -c getopt1.c
-gcc -g -O2 -static -o make ar.o arscan.o commands.o dir.o expand.o file.o
-function.o getopt.o implicit.o job.o main.o misc.o read.o remake.o rule.o
-signame.o variable.o vpath.o default.o remote-stub.o version.o opt1.o
--lutil job.o: In function `load_too_high':
-/lfs/tmp/make-3.79.1/job.c:1565: undefined reference to `getloadavg'
-collect2: ld returned 1 exit status
-make[2]: *** [make] Error 1
-make[2]: Leaving directory `/lfs/tmp/make-3.79.1'
-make[1]: *** [all-recursive] Error 1
-make[1]: Leaving directory `/lfs/tmp/make-3.79.1'
-make: *** [all-recursive-am] Error 2</screen>
-
-<para>In this case, many people just include the bottom section where it
-says:</para>
-
-<screen>make [2]: *** [make] Error 1</screen>
-
-<para>and onwards. This isn't enough for us to diagnose the problem because it
-only tells us that <emphasis>something</emphasis> went wrong, not
-<emphasis>what</emphasis> went wrong. The whole section, as in the example
-above, is what should be included to be helpful, because it includes the
-command that was executed and the command's error message(s).</para>
-
-<para>An excellent article on asking for help on the Internet in general
-has been written by Eric S. Raymond. It is available online at <ulink
-url="http://catb.org/~esr/faqs/smart-questions.html"/>.
-Read and follow the hints in that document and you are much more likely
-to get a response to start with and also to get the help you actually
-need.</para>
-
-</sect2>
-
-<sect2>
-<title>Test suite problems</title>
-
-<para>Many packages provide a test suite which, depending on the importance
-of the package, we may encourage you to run. Sometimes packages will
-generate false or expected failures. If you encounter these, you can check
-the LFS Wiki page at <ulink url="&wiki-root;"/> to see whether we have
-already noted and investigated them. If we already know
-about them, then usually there is no need to be concerned.</para>
-
-</sect2>
-
-
-</sect1>
-
Index: chapter05/patch.xml
===================================================================
--- chapter05/patch.xml	(revision 5b7293ab71a253046b37850efe349b15692ad4fd)
+++ chapter05/patch.xml	(revision 02974d8f1b3545815123a71af984aa9dc45d19ae)
@@ -14,5 +14,5 @@
 <title>Installation of Patch</title>
 
-<para>Prepare Patch for compilation (the preprocessor flag
+<para>Prepare Patch for compilation (setting the preprocessor flags to
 <emphasis>-D_GNU_SOURCE</emphasis> is only needed on the PowerPC platform, on
 other architectures you can leave it out):</para>
Index: chapter06/chapter06.xml
===================================================================
--- chapter06/chapter06.xml	(revision 5b7293ab71a253046b37850efe349b15692ad4fd)
+++ chapter06/chapter06.xml	(revision 02974d8f1b3545815123a71af984aa9dc45d19ae)
@@ -130,16 +130,19 @@
 
 <screen><userinput>chroot $LFS /tools/bin/env -i \
-&nbsp;&nbsp;&nbsp;&nbsp;TERM=$TERM  PS1='\u:\w\$ ' \
+&nbsp;&nbsp;&nbsp;&nbsp;HOME=/root  TERM=$TERM  PS1='\u:\w\$ ' \
 &nbsp;&nbsp;&nbsp;&nbsp;PATH=/bin:/usr/bin:/sbin:/usr/sbin:/tools/bin \
 &nbsp;&nbsp;&nbsp;&nbsp;/tools/bin/bash +h</userinput></screen>
 
-<para>The <emphasis>-i</emphasis> option given to the
-<command>env</command> command will clear all variables of the chroot
-environment. After that, only the TERM, PS1 and PATH variables are
-set again. The TERM=$TERM construct will set the TERM variable inside chroot
-to the same value as outside chroot; this variable is needed for programs
-like <command>less</command> and <command>vim</command> to operate
-properly. If you need other variables present, such as CFLAGS, CXXFLAGS or
-HOME, this is a good place to set them.</para>
+<para>The <emphasis>-i</emphasis> option passed to the <command>env</command>
+command will clear all variables of the chroot environment. After that, only
+the HOME, TERM, PS1 and PATH variables are set again. The HOME variable is set
+mainly to prevent several small warnings during the configure runs of
+Diffutils, Grep and Grub. The TERM variable is set to make programs such as
+<command>less</command> and <command>vim</command>, that make use of the
+Ncurses package, operate properly -- the TERM=$TERM construct sets the TERM
+variable inside chroot to the same value as outside chroot. The main prompt
+(PS1) is set to "username:working-dir# " (since the "\$" becomes "#" for root).
+If you need other variables present, such as CFLAGS, CXXFLAGS or LDFLAGS, this
+is a good place to set them.</para>
 
 <para>From this point on there's no need to use the LFS variable anymore,
@@ -403,5 +406,7 @@
 problem here. The above command takes care of this also.</para>
 
-<para>You can now remove the Binutils source and build directories.</para>
+<para>You must now remove the Binutils source and build directories. (This is
+important, as you should start the next section with a fresh untarring of the
+package.)</para>
 
 <para>The next thing to do is to amend our GCC specs file so that it points
@@ -581,5 +586,5 @@
 
 <screen><userinput>chroot $LFS /tools/bin/env -i \
-&nbsp;&nbsp;&nbsp;&nbsp;TERM=$TERM  PS1='\u:\w\$ ' \
+&nbsp;&nbsp;&nbsp;&nbsp;HOME=/root  TERM=$TERM  PS1='\u:\w\$ ' \
 &nbsp;&nbsp;&nbsp;&nbsp;PATH=/bin:/usr/bin:/sbin:/usr/sbin \
 &nbsp;&nbsp;&nbsp;&nbsp;/tools/bin/bash</userinput></screen>
@@ -611,5 +616,5 @@
 
 <screen><userinput>chroot $LFS /usr/bin/env -i \
-&nbsp;&nbsp;&nbsp;&nbsp;TERM=$TERM  PS1='\u:\w\$ ' \
+&nbsp;&nbsp;&nbsp;&nbsp;HOME=/root  TERM=$TERM  PS1='\u:\w\$ ' \
 &nbsp;&nbsp;&nbsp;&nbsp;PATH=/bin:/usr/bin:/sbin:/usr/sbin \
 &nbsp;&nbsp;&nbsp;&nbsp;/bin/bash</userinput></screen>
Index: chapter06/patch.xml
===================================================================
--- chapter06/patch.xml	(revision 5b7293ab71a253046b37850efe349b15692ad4fd)
+++ chapter06/patch.xml	(revision 02974d8f1b3545815123a71af984aa9dc45d19ae)
@@ -16,5 +16,5 @@
 <title>Installation of Patch</title>
 
-<para>Prepare Patch for compilation (the preprocessor flag
+<para>Prepare Patch for compilation (setting the preprocessor flags to
 <emphasis>-D_GNU_SOURCE</emphasis> is only needed on PowerPCs, on other
 machines you can leave it out):</para>
Index: chapter09/whatnow.xml
===================================================================
--- chapter09/whatnow.xml	(revision 5b7293ab71a253046b37850efe349b15692ad4fd)
+++ chapter09/whatnow.xml	(revision 02974d8f1b3545815123a71af984aa9dc45d19ae)
@@ -3,28 +3,33 @@
 <?dbhtml filename="whatnow.html" dir="chapter09"?>
 
-<para>We thank you for reading the LFS Book and hope that you've found this
-book useful and worth your time.</para>
+<para>Thank you for reading the LFS Book. We hope that you've found this book
+useful and worth your time.</para>
 
 <para>Now that you have finished installing your LFS system, you may be
-wondering "What now?". In order to answer that question, we have composed a
-list of resources for you.</para>
+wondering what to do next. As an answer to that question we have composed a
+short list of resources:</para>
 
 <itemizedlist>
 <listitem><para>Beyond Linux From Scratch</para>
 
-<para>The Beyond Linux From Scratch book covers installation procedures
-for a wide range of software beyond the scope of the LFS Book. The BLFS
-project can be found at <ulink url="&blfs-root;"/>.</para></listitem>
+<para>If you want extra utilities for your LFS system, there is the Beyond
+Linux From Scratch book for you. It covers the installation procedures of many
+different packages beyond the scope of the LFS book. Among them are
+general libraries, programming languages, graphical desktops, multimedia,
+networking and printing. The BLFS project can be found at
+<ulink url="&blfs-root;"/>.</para></listitem>
 
 <listitem><para>LFS Hints</para>
 
-<para>The LFS Hints are a collection of small, educational documents
-submitted by volunteers in the LFS community. The Hints are available at
-<ulink url="&hints-index;"/>.</para></listitem>
+<para>The LFS Hints are a collection of educational documents, often small,
+submitted by volunteers in the LFS community. They cover subjects ranging from
+dependencies to UTF-8 locales, from optimization to uGlibc, and from cloning to
+TZ. The Hints are available at <ulink url="&hints-index;"/>.</para></listitem>
 
 <listitem><para>Mailing lists</para>
 
-<para>There are several LFS mailing lists you may subscribe to if you are
-in need of help. See <xref linkend="ch-scatter-maillists"/> for more
+<para>There are several LFS mailing lists you may subscribe to if you want to
+help develop the book further, assist others to build their systems, or are in
+need of help yourself. See <ulink url="&lfs-root;mail.html"/> for more
 information.</para></listitem>
 
@@ -33,5 +38,5 @@
 <para>The goal of the Linux Documentation Project is to collaborate in
 all of the issues of Linux documentation. The LDP features a large collection
-of HOWTOs, Guides and man pages; it may be found at
+of HOWTOs, Guides and man pages, and can be found at
 <ulink url="&tldp-root;"/>.</para></listitem>
 
Index: index.xml
===================================================================
--- index.xml	(revision 5b7293ab71a253046b37850efe349b15692ad4fd)
+++ index.xml	(revision 02974d8f1b3545815123a71af984aa9dc45d19ae)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "CVS-2004-03-05">
-<!ENTITY releasedate "March 5th, 2004">
+<!ENTITY version "CVS-2004-03-14">
+<!ENTITY releasedate "March 14th, 2004">
 <!ENTITY milestone "5.2">
 <!ENTITY nbsp " ">