Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 7756de365c28daa06887016b8ee0a151aac6706a)
+++ chapter01/changelog.xml	(revision 3522efe0467d292d69b3aef217407291dd11c068)
@@ -45,4 +45,24 @@
       <itemizedlist>
         <listitem>
+          <para>[xry111] - Update to meson-0.61.2. Fixes
+          <ulink url="&lfs-ticket-root;5013">#5013</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[xry111] - Update to linux-5.16.12. Fixes
+          <ulink url="&lfs-ticket-root;5014">#5014</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[xry111] - Update to MarkupSafe-2.1.0. Fixes
+          <ulink url="&lfs-ticket-root;5015">#5015</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[xry111] - Update to dbus-1.14.0. Fixes
+          <ulink url="&lfs-ticket-root;5017">#5017</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[xry111] - Update to vim-8.2.4489 (security fixes).
+          Addresses <ulink url="&lfs-ticket-root;4500">#4500</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[xry111] - Build libstdc++ in GCC pass 2, and remove the
           seperate libstdc++ pass 2.</para>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 7756de365c28daa06887016b8ee0a151aac6706a)
+++ chapter01/whatsnew.xml	(revision 3522efe0467d292d69b3aef217407291dd11c068)
@@ -67,7 +67,7 @@
       <para>DejaGNU-&dejagnu-version;</para>
     </listitem>-->
-    <!--<listitem revision="systemd">
+    <listitem revision="systemd">
       <para>D-Bus-&dbus-version;</para>
-    </listitem>-->
+    </listitem>
    <!--<listitem>
       <para>Diffutils-&diffutils-version;</para>
@@ -169,7 +169,7 @@
       <para>Libtool-&libtool-version;</para>
     </listitem>-->
-   <!--<listitem>
+    <listitem>
       <para>Linux-&linux-version;</para>
-    </listitem>-->
+    </listitem>
    <!--<listitem>
       <para>M4-&m4-version;</para>
@@ -184,10 +184,10 @@
       <para>Man-pages-&man-pages-version;</para>
     </listitem>-->
-    <!--<listitem revision="systemd">
+    <listitem revision="systemd">
       <para>MarkupSafe-&markupsafe-version;</para>
-    </listitem>-->
-   <!--<listitem>
+    </listitem>
+    <listitem>
       <para>Meson-&meson-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>MPC-&mpc-version;</para>
@@ -256,7 +256,7 @@
       <para>Util-Linux-&util-linux-version;</para>
     </listitem>-->
-   <!--<listitem>
+    <listitem>
       <para>Vim-&vim-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>XML-Parser-&xml-parser-version;</para>
@@ -292,10 +292,4 @@
       <para>gcc-11.1.0-upstream_fixes-1.patch</para>
     </listitem>
-    <listitem revision="systemd">
-      <para>MarkupSafe-&markupsafe-version;</para>
-    </listitem>
-    <listitem revision="systemd">
-      <para>Jinja2-&jinja2-version;</para>
-    </listitem>
     -->
   </itemizedlist>
Index: chapter08/meson.xml
===================================================================
--- chapter08/meson.xml	(revision 7756de365c28daa06887016b8ee0a151aac6706a)
+++ chapter08/meson.xml	(revision 3522efe0467d292d69b3aef217407291dd11c068)
@@ -57,5 +57,5 @@
 <screen><userinput remap="make">python3 setup.py build</userinput></screen>
 
-    <para>This package does not come with a test suite.</para>
+    <para>The test suite requires some packages out of the scope of LFS.</para>
 
     <para>Install the package:</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 7756de365c28daa06887016b8ee0a151aac6706a)
+++ packages.ent	(revision 3522efe0467d292d69b3aef217407291dd11c068)
@@ -115,8 +115,8 @@
 <!ENTITY coreutils-fin-sbu "2.6 SBU">
 
-<!ENTITY dbus-version "1.12.20">
-<!ENTITY dbus-size "2,048 KB">
-<!ENTITY dbus-url "https://dbus.freedesktop.org/releases/dbus/dbus-&dbus-version;.tar.gz">
-<!ENTITY dbus-md5 "dfe8a71f412e0b53be26ed4fbfdc91c4">
+<!ENTITY dbus-version "1.14.0">
+<!ENTITY dbus-size "1,332 KB">
+<!ENTITY dbus-url "https://dbus.freedesktop.org/releases/dbus/dbus-&dbus-version;.tar.xz">
+<!ENTITY dbus-md5 "ddd5570aff05191dbee8e42d751f1b7d">
 <!ENTITY dbus-home "https://www.freedesktop.org/wiki/Software/dbus">
 <!ENTITY dbus-fin-du "18 MB">
@@ -428,10 +428,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "16">
-<!ENTITY linux-patch-version "9">
+<!ENTITY linux-patch-version "12">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "124,577 KB">
+<!ENTITY linux-size "124,572 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "4d6a704bf3e249ef6189b6f17457084b">
+<!ENTITY linux-md5 "e859941968400c4437bd62b4fe39b7b7">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 5.13.4 / gcc-11.1.0 on x86_64 : minimum is
@@ -483,19 +483,19 @@
 <!ENTITY man-pages-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY markupsafe-version "2.0.1">
+<!ENTITY markupsafe-version "2.1.0">
 <!ENTITY markupsafe-size "20 KB">
 <!ENTITY markupsafe-url "https://files.pythonhosted.org/packages/source/M/MarkupSafe/MarkupSafe-&markupsafe-version;.tar.gz">
-<!ENTITY markupsafe-md5 "892e0fefa3c488387e5cc0cad2daa523">
-<!ENTITY markupsafe-home "https://markupsafe.palletsprojects.com/en/2.0.x/">
+<!ENTITY markupsafe-md5 "1c3ef96104e89fc64f90e48194a4f154">
+<!ENTITY markupsafe-home "https://palletsprojects.com/p/markupsafe/">
 <!ENTITY markupsafe-fin-du "520 KB">
 <!ENTITY markupsafe-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.61.1">
-<!ENTITY meson-size "1,963 KB">
+<!ENTITY meson-version "0.61.2">
+<!ENTITY meson-size "1,968 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "8ed66d5537275df3defffb66d1fb897f">
+<!ENTITY meson-md5 "7c4220066c70057b4c5a997a47ac710c">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-fin-du "41 MB">
-<!ENTITY meson-fin-sbu "less than 0.1 SBU">
+<!ENTITY meson-fin-sbu "less than 0.1 SBU (about 1.8 SBU with tests)">
 
 <!ENTITY mpc-version "1.2.1">
@@ -721,11 +721,11 @@
 <!ENTITY util-linux-fin-sbu "1.1 SBU">
 
-<!ENTITY vim-version "8.2.4383">
+<!ENTITY vim-version "8.2.4489">
 <!ENTITY vim-majmin "82">
 <!ENTITY vim-docdir "vim/vim82">
-<!ENTITY vim-size "15,622 KB">
+<!ENTITY vim-size "10,380 KB">
 <!--<!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">-->
-<!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.gz">
-<!ENTITY vim-md5 "3168ff48e382a1201bd0cbd0209bd3e0">
+<!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.xz">
+<!ENTITY vim-md5 "41e97917fc46d044ffe951c197509efe">
 <!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-fin-du "206 MB">